#
# spec file for package kdelibs3 (Version 3.5.7)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel OpenEXR OpenEXR-devel aaa_base acl alsa-devel arts arts-devel aspell aspell-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-compat-mDNSResponder avahi-compat-mDNSResponder-devel avahi-devel avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs cyrus-sasl cyrus-sasl-devel dbus-1 dbus-1-devel desktop-translations diffutils fam fam-devel fdupes file filesystem fillup findutils flac-devel fltk fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv jack-devel keyutils-devel keyutils-libs krb5 krb5-devel less libFLAC++6 libFLAC8 libacl libacl-devel libart_lgpl libart_lgpl-devel libasound2 libattr libattr-devel libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdb-4_5-devel libdrm libdrm-devel libexpat-devel libexpat1 libgcc42 libgcrypt libgcrypt-devel libglade2 libgomp42 libgpg-error libgpg-error-devel libidn libidn-devel libjack libjasper libjasper-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl-3 libmng libmng-devel libmudflap42 libogg libogg-devel libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsndfile libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openldap2-client openldap2-devel openssl-certs pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks python qt3 qt3-devel rpm sed sgml-skel sqlite sysvinit tar texinfo timezone unsermake unzip update-desktop-files utempter util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           kdelibs3
BuildRequires:  OpenEXR-devel arts-devel aspell-devel cups-devel fam-devel flac-devel krb5-devel
BuildRequires:  libart_lgpl-devel libidn-devel libsndfile libtiff-devel
BuildRequires:  libxslt-devel openldap2-devel pcre-devel qt3-devel sgml-skel
BuildRequires:  db-devel libacl-devel unsermake update-desktop-files utempter
BuildRequires:  unzip
%if %suse_version > 1020
BuildRequires:  avahi-compat-mDNSResponder-devel fdupes libbz2-devel libjasper-devel
%else
BuildRequires:  libjasper mDNSResponder-devel
%endif
%if %suse_version > 1000
BuildRequires:  libdrm-devel
%endif
Url:            http://www.kde.org
License:        BSD 3-Clause; GPL v2 or later; LGPL v2.1 or later
Group:          System/GUI/KDE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        KDE Base Libraries
Version:        3.5.7
Release:        72.11
Obsoletes:      kde3-i18n kups keramik kdelibs3-cups kdelibs3-33addons kdepim3-networkstatus
Provides:       kups keramik kdelibs3-cups kdelibs3-33addons kdepim3-networkstatus
Provides:       kdelibs3_base = 3.3
Requires:       qt3 >= %( echo `rpm -q --queryformat '%{VERSION}' qt3`)
Requires:       openssl kdelibs3-default-style
%if %suse_version > 1020
Requires:       hicolor-icon-theme
%endif
%if %suse_version > 1000
Recommends:     ispell, ispell_dictionary, enscript
%endif
%if %suse_version > 1010
Requires:       sudo
%endif
Source0:        kdelibs-%{version}.tar.bz2
Source2:        do_make
Source4:        api_docu_description
Source6:        kde3rc
Source7:        common_options
# svn export svn://anonsvn.kde.org/home/kde/branches/KDE/3.5/kde-common/admin
Source8:        admin.tar.bz2
Source9:        cr16-filesys-file_broken.png
Source10:       kdemm-20050330.tar.bz2
Source11:       10888-bt.tar.gz
Source12:       mimetype-icons.tar.bz2
Source14:       vnd.openxmlformats-officedocument.wordprocessingml.document.desktop
Source15:       vnd.openxmlformats-officedocument.presentationml.presentation.desktop
Source16:       vnd.openxmlformats-officedocument.spreadsheetml.sheet.desktop
Patch0:         3_5_BRANCH.diff
Patch1:         kdeversion.diff
Patch2:         admin.diff
Patch3:         show-distribution.diff
Patch5:         applications.menu-fallback.diff
Patch7:         stat-on-media.diff
Patch8:         kmimelist.diff
Patch9:         x-kde-InitialPreference.diff
Patch10:        disable-idn-support.diff
Patch11:        silence.diff
Patch12:        smooth-scrolling.diff
Patch13:        rubberband-selection.diff
Patch15:        add-suse-translations.diff
Patch16:        kde3rc.dif
Patch17:        artwork.diff
Patch26:        mimetype-changes.diff
Patch27:        noauto-package.diff
Patch29:        prefer_distribution_settings.dif
Patch34:        allow-man-setgid.diff
Patch40:        clever-menu.diff
Patch43:        fileshare.diff
Patch44:        fontconfig-reverse-lookup.diff
Patch45:        limit-max-image-size.diff
Patch50:        fix-gnome-help-support.diff
Patch950:       fix-gnome-help-support_legacy.diff
Patch52:        kdeprint-restart-cupsd.diff
Patch54:        kdemm.diff
Patch55:        fix-kdemm-build.diff
Patch56:        fix-dcopidlng-within-kdelibs-build.diff
Patch57:        kdemm-filepreview.diff
Patch60:        fix-qxembed.diff
Patch65:        integrate-global-pixmaps-new.diff
Patch66:        integrate-global-pixmaps-10.1.diff
Patch70:        ktip-icon-hack.diff
Patch80:        CATALOG.kdelibs3.diff
Patch81:        xml-catalog.diff
Patch83:        kdelibs3-gcc-4.1-miscompile.diff
Patch85:        desktop-translations.diff
Patch86:        use-xauthlocalhostname.diff
Patch88:        mozilla-sliders.patch
Patch89:        kdeprint-utf8.diff
Patch90:        kimproxy-warning.diff
Patch95:        kdelibs_networkstatus_branch2.diff
Patch97:        autostart-spec.diff
Patch105:       kdelibs3-hicolor-scalable-sizes.patch
Patch106:       use-mediamanager.diff
Patch108:       patch-mimetype-iconnames.diff
Patch109:       fix-kerberos-printing.diff
Patch110:       printpreview.patch
Patch111:       kfile-beagle.diff
Patch112:       xinerama.patch
Patch113:       kremoteencoding-utf8.diff
Patch114:       no-progress-for-beagle-status-query.diff
Patch117:       kickoff-drop-shadow.diff
Patch122:       disable-samba-dialog-without-smb.diff
Patch123:       lpoptions-cups-1.2.diff
Patch124:       spellcheck-default-utf8.diff
Patch125:       kde4-applications.diff
Patch126:       avahi-pidfile.diff
Patch127:       x-jar-desktop.diff
Patch128:       google-mail.diff
Patch129:       default-useragent.diff
Patch130:       kwalletd-try-open.diff
Patch131:       textcompletion-editor.diff
Patch132:       no-debug-by-default.diff
Patch133:       flash-player-non-oss.diff
Patch134:       bundle-locale-help.diff
Patch135:       fix-kded-destructor-rev711061.diff
Patch136:       3_5_BRANCH_700738.diff
Patch139:       3_5_BRANCH_705705.diff
Patch141:       3_5_BRANCH_707375.diff
Patch142:       3_5_BRANCH_707381.diff
Patch143:       3_5_BRANCH_707413.diff
Patch144:       3_5_BRANCH_707523.diff
Patch145:       3_5_BRANCH_707873.diff
Patch146:       3_5_BRANCH_709515.diff
Patch147:       3_5_BRANCH_710724.diff
Patch148:       3_5_BRANCH_699230.diff
Patch149:       networkstatus.diff
Patch150:       3_5_BRANCH_712434.diff
Patch151:       post-3.5.7-kdelibs-kdecore-2.diff
Patch152:       bug-301648_dcop_slaves.patch
Patch153:       3_5_BRANCH_717341.diff
Patch154:       kstartupinfo.diff
Patch155:       3_5_BRANCH_735731.diff
Patch156:       revert-r616816.diff
Patch157:       r726097.diff
Patch158:       qxembed-flash.diff
Patch159:       post-kde-3.5.5-kinit.diff
Patch160:       r772369.diff
Patch161:       r772413.diff
Patch162:       r766354.diff

%description
This package contains kdelibs, one of the basic packages of the K
Desktop Environment. It contains the necessary libraries for the KDE
desktop.

This package is absolutely necessary for using KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%debug_package
%package arts
License:        BSD 3-Clause; GPL v2 or later; LGPL v2.1 or later
Summary:        KDE aRts support
Group:          System/GUI/KDE
Provides:       kdelibs3:/opt/kde3/bin/artsmessage
Requires:       arts >= %( echo `rpm -q --queryformat '%{VERSION}' arts`)
%if %suse_version > 1000
Recommends:     kdemultimedia3-arts
%endif

%description arts
This package contains bindings and gui elements for using aRts sound
daemon.



Authors:
--------
    The KDE Team <kde@kde.org>

%package default-style
License:        BSD 3-Clause; GPL v2 or later; LGPL v2.1 or later
Summary:        The default KDE style
Group:          System/GUI/KDE
Provides:       kdelibs3:/opt/kde3/%_lib/libkdefx.so.4

%description default-style
This package contains the Plastik widget style and libkdefx. It only
depends on Qt, not the KDE libraries.



Authors:
--------
    The KDE Team <kde@kde.org>

%package doc
License:        BSD 3-Clause; GPL v2 or later; LGPL v2.1 or later
Summary:        Documentation for KDE Base Libraries
Group:          System/GUI/KDE
Provides:       kdelibs3:/opt/kde3/share/apps/ksgmltools2
Provides:       kdelibs3_doc
Requires:       sgml-skel libxml2
%define regcat /usr/bin/sgml-register-catalog
PreReq:         %{regcat} /usr/bin/xmlcatalog /usr/bin/edit-xml-catalog
PreReq:         sed grep awk

%description doc
This package contains the core environment and templates for the KDE
help system.



Authors:
--------
    The KDE Team <kde@kde.org>

%package devel
License:        BSD 3-Clause; GPL v2 or later; LGPL v2.1 or later
# usefiles /opt/kde3/bin/dcopidl /opt/kde3/bin/dcopidl2cpp /opt/kde3/bin/kdb2html /opt/kde3/bin/preparetips 
Requires:       qt3-devel libvorbis-devel kdelibs3 = %version autoconf automake libxslt-devel libxml2-devel libart_lgpl-devel libjpeg-devel 
# next line from kde3-devel-packages macro
Requires:       kdelibs3-doc libtiff-devel openssl-devel unsermake update-desktop-files
%if %suse_version > 1000
Requires:       libdrm-devel dbus-1-qt3-devel
%else
Requires:       dbus-1-qt
%endif
Requires:       libattr-devel libacl-devel
%if %suse_version > 1020
Requires:       avahi-compat-mDNSResponder-devel libbz2-devel
%else
Requires:       mDNSResponder-devel
%endif
Requires:       kdelibs3-arts
Summary:        KDE Base Package: Build Environment
Group:          System/GUI/KDE
Requires:       fam-devel pcre-devel libidn-devel arts-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
  echo %suse_version
%setup -q -n kdelibs-%{version}
%patch0
%patch1
%patch3
%patch5
%patch7
%patch10
%patch11
%patch12
%patch13
%patch15
%patch16
%patch17
%patch26
%patch27
%patch29
#%patch43
#disable it because of BIC
#%patch45
%if %suse_version > 1020
%patch50
%else
%patch950
%endif
%patch52
%patch34
%patch44
%patch40
%patch8
%patch9
tar xfvj %SOURCE10
# TODO!
%patch54
%patch55
%patch56
%patch57
%patch60
# 10.2 goes back to the version without suseadds
%if %suse_version > 1010
%patch65
%else
%if %suse_version > 1000
%patch66
%else
%patch65
%endif
%endif
%patch70
rm -rf admin
bunzip2 -cd %{SOURCE8} | tar xfv - --exclude=.cvsignore --exclude=CVS
install -m 755 %{SOURCE2} admin
%patch2
%patch80 -p 1
%patch81
%if %suse_version > 1000
%patch83
%endif
%patch85
%patch86
%patch88
%patch89
%patch90
%patch95
%patch97
%if %suse_version < 1030
%patch105 -p 1
%endif
%patch106
%patch108
%patch109
%patch110
%patch111
%patch112
%patch113
%patch114
%patch117
%patch122
%if %suse_version > 1010
%patch123
%endif
%patch124
%patch125
%patch126
%patch127
%patch128
%patch129
%patch130
%patch131
%patch132
%if %suse_version > 1020
%patch133
%patch134
%endif
%patch148
%patch135
%patch136
%patch139
%patch141
%patch142
%patch143
%patch144
%patch145
%patch146
%patch147
%patch149
%patch150
%patch151
%patch152
%patch153
%patch154
%patch155
%patch156
%patch157
%patch158
%patch159
%patch160
%patch161
%patch162
tar xfvj %SOURCE12
#
# define KDE version exactly
#
sed 's,#define KDE_VERSION_STRING "\(.*\)",#define KDE_VERSION_STRING "\1 \\"release %release\\"",' kdecore/kdeversion.h > kdecore/kdeversion.h_ && mv kdecore/kdeversion.h_ kdecore/kdeversion.h
#
# create build enviroment
# 
UNSERMAKE=yes make -f admin/Makefile.common cvs

%build
export PATH=$PWD/admin/:$PATH
FINAL="--enable-final"
%ifarch armv4l
  FINAL=""
  CXXFLAGS="$CXXFLAGS -O0"
%endif
   FLAGS="$FLAGS --with-pcsc-dir=/usr "
   FLAGS="$FLAGS --disable-rpath"
  OPTIONS="$FLAGS $FINAL \
       --prefix=/opt/kde3 \
       --with-qt-dir=/usr/lib/qt3 \
       --enable-threading \
       --enable-mt \
       --with-xinerama \
       --with-ssl-dir=/usr/ssl \
       --mandir=%_mandir \
       --sysconfdir=%_sysconfdir \
       --enable-new-ldflags"
  #
  # common_options
  #
  sed -e 's,@_lib@,%_lib,g' -e "s,@configkde@,$OPTIONS,g" \
    %{SOURCE7} > ../common_options
  . ../common_options
  rm -rf $RPM_BUILD_ROOT
  export PATH=/opt/kde3/bin:$PATH
  if [ %_lib = lib64 ]; then
        EXTRA_OPTIONS="--enable-libsuffix=64"
  fi
%if %is_plus
  EXTRA_OPTIONS="$EXTRA_OPTIONS --enable-dnotify"
%endif
%if %suse_version > 1010
  export path_sudo=/usr/bin/sudo
  EXTRA_OPTIONS="$EXTRA_OPTIONS --with-sudo-kdesu-backend"
%endif
  #
  # define the distribution exactly
  #
  test -e /.buildenv && . /.buildenv
%if %is_plus
  # supplementary package
  DISTRI="openSUSE $BUILD_DISTRIBUTION_VERSION UNSUPPORTED"
%else
  # official build on released and maintained products
  DISTRI="openSUSE $BUILD_DISTRIBUTION_VERSION"
%endif
  sed 's,#define KDE_VERSION_STRING "\(.*\)",#define KDE_VERSION_STRING "\1 '"$ADD_VERSION"'",' kdecore/kdeversion.h > kdecore/kdeversion.h_ && mv kdecore/kdeversion.h_ kdecore/kdeversion.h
  # find MIT kerberos
  export PATH=/usr/lib/mit/bin:$PATH
  # fast-malloc is not needed anymore
  ./configure $configkde $EXTRA_OPTIONS \
    --enable-fast-malloc=no \
    --with-distribution="$DISTRI"
do_make %{?jobs:-j %jobs} 
#
xmlcatbin=/usr/bin/xmlcatalog
# CATALOG=docbook-simple.xml
# $xmlcatbin --noout --create $CATALOG
# $xmlcatbin --noout --add "public" \
#   "-//OASIS//DTD Simplified DocBook XML V1.0//EN" \
#   "file://%{xml_mod_dtd_dir}/sdocbook.dtd" $CATALOG
# $xmlcatbin --noout --add "system" \
#   "http://www.oasis-open.org/docbook/xml/simple/1.0/sdocbook.dtd" \
#   "file://%{xml_mod_dtd_dir}/sdocbook.dtd" $CATALOG
%define FOR_ROOT_CAT for-catalog-%{name}-%{version}-%{release}.xml
CATALOG=/opt/kde3/share/apps/ksgmltools2/customization/catalog.xml
rm -f %{FOR_ROOT_CAT}.tmp
$xmlcatbin --noout --create %{FOR_ROOT_CAT}.tmp
# $xmlcatbin --noout --add "delegateSystem" \
#   "http://www.oasis-open.org/docbook/xml/simple/" \
#   "file:///$CATALOG" %{FOR_ROOT_CAT}.tmp
$xmlcatbin --noout --add "delegatePublic" \
  "-//KDE//DTD DocBook XML V4.2" \
  "file://$CATALOG" %{FOR_ROOT_CAT}.tmp
$xmlcatbin --noout --add "delegatePublic" \
  "-//KDE//ELEMENTS" \
  "file://$CATALOG" %{FOR_ROOT_CAT}.tmp
$xmlcatbin --noout --add "delegatePublic" \
  "-//KDE//ENTITIES" \
  "file://$CATALOG" %{FOR_ROOT_CAT}.tmp
# Create tag
sed '/<catalog/a\
  <group id="%{name}-%{version}-%{release}">
/<\/catalog/i\
  </group>' \
  %{FOR_ROOT_CAT}.tmp > %{FOR_ROOT_CAT}

%install
  . ../common_options
  mkdir -p $RPM_BUILD_ROOT/etc/opt/kde3/ 
  install -m 0644 ../common_options \
        $RPM_BUILD_ROOT/etc/opt/kde3/common_options
  export PATH=$PWD/admin/:$PATH
  do_make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
  mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/config.kcfg
  install -D %SOURCE9 $RPM_BUILD_ROOT/opt/kde3/share/icons/crystalsvg/16x16/filesystems/file_broken.png
  mv $RPM_BUILD_ROOT/etc/xdg/menus/applications.menu \
     $RPM_BUILD_ROOT/etc/xdg/menus/applications.menu.kde
  #
  # lib64 compatibility symlink
  #
%ifarch x86_64 ppc64 s390x mips64 sparc64
    mkdir -p $RPM_BUILD_ROOT/opt/kde3/lib/kde3/
    ln -sf ../../lib64/kde3/plugins \
         $RPM_BUILD_ROOT/opt/kde3/lib/kde3/plugins-lib64
%endif
  #
  # add missing directories
  #
  for i in Applications Development Editors Edutainment Games Graphics Internet Multimedia Office Settings System Toys Utilities WordProcessing; do
    install -d -m 0755 $RPM_BUILD_ROOT/opt/kde3/share/applnk/$i
  done
  rm -f locale.list
  for i in $(find /usr/share/locale -mindepth 1 -maxdepth 1 -type d | sed 's:/usr/share/locale/::'); do
    install -d -m 755 $RPM_BUILD_ROOT/opt/kde3/share/locale/$i
    install -d -m 755 $RPM_BUILD_ROOT/opt/kde3/share/locale/$i/LC_MESSAGES
    install -d -m 755 $RPM_BUILD_ROOT/opt/kde3/share/doc/HTML/$i
    echo "%lang($i) %doc /opt/kde3/share/locale/$i" >> locale.list
  done
  %suse_update_desktop_file kresources X-KDE-settings-desktop
  # unlike with other modules, kde_post_install shouldn't
  # be put at the end of %install
  kde_post_install
  # now create a filesystem layer
  for theme in hicolor locolor; do
    for j in actions apps filesystems mimetypes; do
      for i in 16 22 32 48 64 128; do
        install -d -m 0755 $RPM_BUILD_ROOT/opt/kde3/share/icons/${theme}/${i}x${i}/${j}
      done
      install -d -m 0755 $RPM_BUILD_ROOT/opt/kde3/share/icons/${theme}/scalable/${j}
    done
  done
  install -d -m 0755 $RPM_BUILD_ROOT/etc/opt/kde3/%_lib
  install -d -m 0755 $RPM_BUILD_ROOT/etc/opt/kde3/share/config
  install -d -m 0755 $RPM_BUILD_ROOT/opt/kde3/share/apps/kdelibs/
  install -m 0644 %SOURCE6 $RPM_BUILD_ROOT/etc/
  rm -f $RPM_BUILD_ROOT/opt/kde3/%_lib/libkdeinit_*.la
  #
  # add additional icon path
  #
  mkdir -p ${RPM_BUILD_ROOT}/opt/kde3/share/apps/kdelibs
  rm -f admin/*.orig
  cp -a admin ${RPM_BUILD_ROOT}/opt/kde3/share/apps/kdelibs/
  # This is not needed on SUSE Linux! - Marcus Meissner <meissner@suse.de>
  rm $RPM_BUILD_ROOT/opt/kde3/bin/kgrantpty
  #
  # our version is in kdebase3
  #
  rm -f $RPM_BUILD_ROOT/opt/kde3/bin/fileshare*
  #
  # no sources for man pages
  #
  rm -f $RPM_BUILD_ROOT/opt/kde3/share/doc/HTML/en/kdelibs/man-*
  # 
  # install BitTorrent icons
  #
  tar xfvz %SOURCE11
  for i in 16x16 22x22 32x32 48x48 64x64 128x128 ; do
      install -m 0644 bt/$i/mimetypes/bt.png \
              $RPM_BUILD_ROOT/opt/kde3/share/icons/crystalsvg/$i/mimetypes/torrent.png
  done
  cp CATALOG.%{name} catalog.xml ${RPM_BUILD_ROOT}/opt/kde3/share/apps/ksgmltools2/customization/
  mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/xml
  cp %{FOR_ROOT_CAT} ${RPM_BUILD_ROOT}%{_sysconfdir}/xml
#  rm -f $RPM_BUILD_ROOT/opt/kde3/%_lib/libkdefakes.la
#  rm -f $RPM_BUILD_ROOT/opt/kde3/%_lib/libkjava.la
%if %suse_version > 1020
rm -f $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/index.theme
%endif
  # .desktop files in kdeaccessibility3 require the kttsd icon
  for i in {16x16,22x22,32x32,48x48,64x64,128x128,scalable}; do mv $RPM_BUILD_ROOT/opt/kde3/share/icons/crystalsvg/$i/apps/kttsd.* $RPM_BUILD_ROOT/opt/kde3/share/icons/hicolor/$i/apps/;done
  install -m 0644 %SOURCE14 $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/application/
  install -m 0644 %SOURCE15 $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/application/
  install -m 0644 %SOURCE16 $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/application/
  %if %suse_version > 1020
  %fdupes -s $RPM_BUILD_ROOT
  %endif

%post
  %run_ldconfig
  %run_permissions

%postun
  rm -f usr/share/doc/KDE3-API/index.html
  %run_ldconfig

%post arts
  %run_ldconfig

%postun arts
  %run_ldconfig

%post default-style
  %run_ldconfig

%postun default-style
  %run_ldconfig

%post doc
  if [ -x %{regcat} ]; then
    %{regcat} -a /opt/kde3/share/apps/ksgmltools2/customization/CATALOG.%{name} >/dev/null 2>&1
  fi
  if [ -x /usr/bin/edit-xml-catalog ]; then
    edit-xml-catalog --group --catalog /etc/xml/suse-catalog.xml \
      --add /etc/xml/%{FOR_ROOT_CAT}
  fi

%postun doc
  if [ "$1" = "0" -a -x %{regcat} ]; then
    %{regcat} -r /opt/kde3/share/apps/ksgmltools2/customization/CATALOG.%{name} >/dev/null 2>&1
  fi
  if [ -x /usr/bin/edit-xml-catalog ]; then
    edit-xml-catalog --group --catalog /etc/xml/suse-catalog.xml \
      --del %{name}-%{version}-%{release}
  fi
  exit 0

%clean
  rm -rf ${RPM_BUILD_ROOT}

%files default-style
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.BSD COPYING.LIB NAMING README 
/opt/kde3/%_lib/libkdefx.so.*
/opt/kde3/%_lib/kde3/plugins/styles/plastik.*

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.BSD COPYING.LIB NAMING README 
%dir /etc/opt/kde3
%dir /opt/kde3
%dir /opt/kde3/bin
%dir /opt/kde3/include
%dir /opt/kde3/share
%dir /opt/kde3/share/config.kcfg
%_mandir/man*/*
/opt/kde3/bin/checkXML
/opt/kde3/bin/dcop
/opt/kde3/bin/dcopclient
/opt/kde3/bin/dcopfind
/opt/kde3/bin/dcopobject
/opt/kde3/bin/dcopref
/opt/kde3/bin/dcops*
/opt/kde3/bin/dcopquit
/opt/kde3/bin/imagetops
/opt/kde3/bin/ka*
/opt/kde3/bin/kbuildsycoca
/opt/kde3/bin/kco*
/opt/kde3/bin/kcmshell
/opt/kde3/bin/kded
/opt/kde3/bin/kdeinit*
/opt/kde3/bin/start_kdeinit
/opt/kde3/bin/start_kdeinit_wrapper
/opt/kde3/bin/kde-config
/opt/kde3/bin/kde-menu
/opt/kde3/bin/kdesu_stub
/opt/kde3/bin/kdontchangethehostname
/opt/kde3/bin/kfile
/opt/kde3/bin/ki*
/opt/kde3/bin/kfmexec
/opt/kde3/bin/klauncher
/opt/kde3/bin/kmailservice
/opt/kde3/bin/ktradertest
/opt/kde3/bin/knotify
/opt/kde3/bin/kstartupconfig
/opt/kde3/bin/kdostartupconfig
%verify(not mode) /opt/kde3/bin/kpac_dhcp_helper
/opt/kde3/bin/ksendbugmail
/opt/kde3/bin/kshell
/opt/kde3/bin/ktelnetservice
/opt/kde3/bin/kwrapper
/opt/kde3/bin/lnusertemp
/opt/kde3/bin/make_driver_db_lpr
/opt/kde3/bin/khotnewstuff
/opt/kde3/bin/makekdewidgets
%dir /opt/kde3/%_lib
%dir /opt/kde3/%_lib/kde3
/opt/kde3/%_lib/kde3/dcopserver.*
/opt/kde3/%_lib/kde3/kaddprinterwizard.*
/opt/kde3/%_lib/kde3/kbuildsycoca.*
/opt/kde3/%_lib/kde3/kcmshell.*
/opt/kde3/%_lib/kde3/kcm_kresources.*
/opt/kde3/%_lib/kde3/kconf_update.*
/opt/kde3/%_lib/kde3/kcookiejar.*
/opt/kde3/%_lib/kde3/kded.*
/opt/kde3/%_lib/kde3/kded_proxyscout.*
/opt/kde3/%_lib/kde3/kfileaudiopreview.*
/opt/kde3/%_lib/kde3/klauncher.*
/opt/kde3/%_lib/kde3/knotify.*
/opt/kde3/%_lib/kde3/kabc*
/opt/kde3/%_lib/kde3/kbzip2filter.*
/opt/kde3/%_lib/kde3/kded_k*
/opt/kde3/%_lib/kde3/kdeprint_ext.*
/opt/kde3/%_lib/kde3/kdeprint_lp*
/opt/kde3/%_lib/kde3/kdeprint_rlpr.*
/opt/kde3/%_lib/kde3/kdeprint_tool_escputil.*
/opt/kde3/%_lib/kde3/kgzipfilter.*
/opt/kde3/%_lib/kde3/khtmlimagepart.*
/opt/kde3/%_lib/kde3/ki*
/opt/kde3/%_lib/kde3/kjavaappletviewer.*
/opt/kde3/%_lib/kde3/ktexteditor_*
/opt/kde3/%_lib/kde3/libk*
/opt/kde3/%_lib/kde3/kspell_*
/opt/kde3/%_lib/kde3/kstyle_plastik_config.*
/opt/kde3/%_lib/kde3/kstyle_highcontrast_config.*
/opt/kde3/%_lib/kde3/libshellscript.*
%exclude /opt/kde3/%_lib/kde3/plugins/styles/plastik.*
/opt/kde3/%_lib/kde3/plugins
/opt/kde3/%_lib/libDCOP.so.*
%exclude /opt/kde3/%_lib/libkdefx.so.*
/opt/kde3/%_lib/libk*.so.*
/opt/kde3/%_lib/libvcard.so.*
/opt/kde3/%_lib/libkdeinit*.so
/opt/kde3/%_lib/libnetworkstatus.so.*
/opt/kde3/%_lib/libconnectionmanager.so.*
/opt/kde3/%_lib/kde3/kded_networkstatus.*
/opt/kde3/share/applnk
%dir /opt/kde3/share/apps
/opt/kde3/share/apps/LICENSES
/opt/kde3/share/apps/ka*
/opt/kde3/share/apps/kc*
%dir /opt/kde3/share/apps/kdeprint
/opt/kde3/share/apps/kdeprint/apsdriver*
/opt/kde3/share/apps/kdeprint/filters
/opt/kde3/share/apps/kdeprint/icons
/opt/kde3/share/apps/kdeprint/lprngtooldriver1
/opt/kde3/share/apps/kdeprint/pics
%dir /opt/kde3/share/apps/kdeprint/plugins
/opt/kde3/share/apps/kdeprint/plugins/ext.print
/opt/kde3/share/apps/kdeprint/plugins/lp*.print
/opt/kde3/share/apps/kdeprint/plugins/rlpr.print
/opt/kde3/share/apps/kdeprint/s*
/opt/kde3/share/apps/kdeprint/t*
/opt/kde3/share/apps/kdeui
/opt/kde3/share/apps/kdewidgets
/opt/kde3/share/apps/khtml
/opt/kde3/share/apps/kio_uiserver
/opt/kde3/share/apps/kjava
/opt/kde3/share/apps/knotify
/opt/kde3/share/apps/kssl
/opt/kde3/share/apps/kstyle
/opt/kde3/share/apps/ktexteditor_*
/opt/kde3/share/apps/proxyscout
/opt/kde3/share/apps/knewstuff
/opt/kde3/share/autostart
/opt/kde3/share/config
/opt/kde3/share/emoticons
/opt/kde3/share/icons
/opt/kde3/share/locale
/opt/kde3/share/mimelnk
/opt/kde3/share/service*
%config /etc/kde3rc
/opt/kde3/share/applications
/opt/kde3/bin/cupsd*
/opt/kde3/bin/make_driver_db_cups
/opt/kde3/%_lib/kde3/kdeprint_cups.*
/opt/kde3/%_lib/kde3/cupsdconf.*
/opt/kde3/share/apps/kdeprint/cups*
/opt/kde3/share/apps/kdeprint/kde_logo.png
/opt/kde3/share/apps/kdeprint/plugins/cups.print
/opt/kde3/share/apps/kdeprint/preview*
%ifarch x86_64 ppc64 s390x mips64 sparc64
%dir /opt/kde3/lib
%dir /opt/kde3/lib/kde3
/opt/kde3/lib/kde3/plugins-lib64
%endif
/etc/xdg/menus

%files arts
%defattr(-,root,root)
/opt/kde3/bin/artsmessage
/opt/kde3/%_lib/libartskde.so.*

%files doc
%defattr(-,root,root)
%doc /opt/kde3/share/doc
/opt/kde3/bin/meinproc
/opt/kde3/share/apps/ksgmltools2
%config %{_sysconfdir}/xml/%{FOR_ROOT_CAT}

%files devel
%defattr(-,root,root)
%dir /opt/kde3/share/apps/kdelibs
%config /etc/opt/kde3/common_options
/opt/kde3/bin/dcopidl*
/opt/kde3/bin/kmimelist
/opt/kde3/bin/preparetips
/opt/kde3/bin/ksvgtopng
/opt/kde3/bin/kunittestmodrunner
#/opt/kde3/bin/MISC
/opt/kde3/include/*
/opt/kde3/share/apps/dcopidlng
/opt/kde3/share/apps/kdelibs/admin
/opt/kde3/%_lib/libartskde.la
/opt/kde3/%_lib/libkunittest.la
/opt/kde3/%_lib/libkunittest.so
/opt/kde3/%_lib/libartskde.so
/opt/kde3/%_lib/libDCOP.so
/opt/kde3/%_lib/libvcard.so
/opt/kde3/%_lib/libvcard.la
/opt/kde3/%_lib/libDCOP.la
/opt/kde3/%_lib/lib*.a
/opt/kde3/%_lib/libkabc_dir.la
/opt/kde3/%_lib/libkabc_dir.so
/opt/kde3/%_lib/libkabc_file.la
/opt/kde3/%_lib/libkabc_file.so
/opt/kde3/%_lib/libkabc.la
/opt/kde3/%_lib/libkabc_ldapkio.la
/opt/kde3/%_lib/libkabc_ldapkio.so
/opt/kde3/%_lib/libkabc.so
/opt/kde3/%_lib/libkatepartinterfaces.la
/opt/kde3/%_lib/libkatepartinterfaces.so
/opt/kde3/%_lib/libkdecore.la
/opt/kde3/%_lib/libkdecore.so
/opt/kde3/%_lib/libkdefakes.la
/opt/kde3/%_lib/libkdefakes.so
/opt/kde3/%_lib/libkdefx.la
/opt/kde3/%_lib/libkdefx.so
/opt/kde3/%_lib/libkdemm.la
/opt/kde3/%_lib/libkdemm.so
/opt/kde3/%_lib/libkdeprint.la
/opt/kde3/%_lib/libkdeprint_management.la
/opt/kde3/%_lib/libkdeprint_management.so
/opt/kde3/%_lib/libkdeprint.so
/opt/kde3/%_lib/libkdesasl.la
/opt/kde3/%_lib/libkdesasl.so
/opt/kde3/%_lib/libkdesu.la
/opt/kde3/%_lib/libkdesu.so
/opt/kde3/%_lib/libkdeui.la
/opt/kde3/%_lib/libkdeui.so
/opt/kde3/%_lib/libkdnssd.la
/opt/kde3/%_lib/libkdnssd.so
/opt/kde3/%_lib/libkhtml.la
/opt/kde3/%_lib/libkhtml.so
/opt/kde3/%_lib/libkimproxy.la
/opt/kde3/%_lib/libkimproxy.so
/opt/kde3/%_lib/libkio.la
/opt/kde3/%_lib/libkio.so
/opt/kde3/%_lib/libkjava.la
/opt/kde3/%_lib/libkjava.so
/opt/kde3/%_lib/libkjs.la
/opt/kde3/%_lib/libkjs.so
/opt/kde3/%_lib/libkmdi2.la
/opt/kde3/%_lib/libkmdi2.so
/opt/kde3/%_lib/libkmdi.la
/opt/kde3/%_lib/libkmdi.so
/opt/kde3/%_lib/libkmediaplayer.la
/opt/kde3/%_lib/libkmediaplayer.so
/opt/kde3/%_lib/libkmid.la
/opt/kde3/%_lib/libkmid.so
/opt/kde3/%_lib/libknewstuff.la
/opt/kde3/%_lib/libknewstuff.so
/opt/kde3/%_lib/libkntlm.la
/opt/kde3/%_lib/libkntlm.so
/opt/kde3/%_lib/libkparts.la
/opt/kde3/%_lib/libkparts.so
/opt/kde3/%_lib/libkresources.la
/opt/kde3/%_lib/libkresources.so
/opt/kde3/%_lib/libkscreensaver.la
/opt/kde3/%_lib/libkscreensaver.so
/opt/kde3/%_lib/libkscript.la
/opt/kde3/%_lib/libkscript.so
/opt/kde3/%_lib/libkspell2.la
/opt/kde3/%_lib/libkspell2.so
/opt/kde3/%_lib/libkspell.la
/opt/kde3/%_lib/libkspell.so
/opt/kde3/%_lib/libktexteditor.la
/opt/kde3/%_lib/libktexteditor.so
/opt/kde3/%_lib/libkutils.la
/opt/kde3/%_lib/libkutils.so
/opt/kde3/%_lib/libkwalletbackend.la
/opt/kde3/%_lib/libkwalletbackend.so
/opt/kde3/%_lib/libkwalletclient.la
/opt/kde3/%_lib/libkwalletclient.so
/opt/kde3/%_lib/libnetworkstatus.la
/opt/kde3/%_lib/libnetworkstatus.so
/opt/kde3/%_lib/libconnectionmanager.la
/opt/kde3/%_lib/libconnectionmanager.so

%changelog
* Sat Nov 22 2008 - dmueller@suse.de
- fix kde3 autostart applications crashing on KDE4 startup (bnc#359800)
- fix kdesu in background when ymp installer aks for password (bnc#362779)
- don't shorten username/password too much (bnc#330354)
* Fri Apr 25 2008 - dmueller@suse.de
- fix start_kdeinit vulnerability (CVE-2008-1671, bnc#382618)
* Wed Feb 20 2008 - dmueller@suse.de
- fix kcontrol embed regression (#355374)
* Fri Dec 21 2007 - stbinner@suse.de
- fix QXEmbed to make newest Flash plugin work again (#348088)
* Wed Nov 28 2007 - dmueller@suse.de
- add fix for http response headers not being reported back (#344625)
* Thu Nov 22 2007 - dmueller@suse.de
- switch off input methods for password fields again (#117115)
* Tue Nov 20 2007 - stbinner@suse.de
- fix Konqueror text search recounts hits wrongly (#334528)
* Fri Oct 26 2007 - dmueller@suse.de
- fix text edit in KSelectAction no longer activating
  changes (e.g. in kpdf, kview or other applications
  with zoom widgets in the toolbar) (#337024)
* Tue Oct 09 2007 - stbinner@suse.de
- fix non-KDE X-KDE-SubstituteUID apps not starting (#325633)
- commit 717341: Revert r707381 which broke http-headers, and add a
  bit more buffer to handle long http-headers like X-JSON (#332920)
- fix problem with focus when mailing link from Konqueror (#333386)
- fix WINE menu entries not being shown in the menu (#331598)
* Mon Sep 17 2007 - stbinner@suse.de
- fix build for < 10.3
- fix bug 301648: Cannot select "remote charset" in Konqueror
* Fri Sep 14 2007 - dmueller@suse.de
- fix crash in kded on shutdown (#304640)
- fix addressbook ressource saving refcount bug
- fix konqueror slowdown on Qt API documentation
- fix cross domain cookie injection (kde bug #134421)
- http kioslave fixes to make it work with big and chunked
  http response headers
- fix addressbar spoofing (#298707, #298736, CVE-2007-4224,
  CVE-2007-4225, CVE-2007-3820)
* Tue Sep 11 2007 - stbinner@suse.de
- add mime-type definitions for Open XML docx, pptx & xlsx (#307159)
* Tue Sep 11 2007 - stbinner@suse.de
- fix kde4 application may get started instead of user substituded
  kde3 application (#309044)
* Tue Sep 11 2007 - tpatzig@suse.de
- fix kded destructor to delete all loaded modules (#228865)
* Tue Sep 11 2007 - stbinner@suse.de
- only check for mime type starting with ""Shockwave Flash" (#304999)
* Mon Sep 10 2007 - dmueller@suse.de
- apply susetranslations in kbuildsycoca (#196855)
* Mon Sep 03 2007 - stbinner@suse.de
- search for locale and help also in /opt/kde3/share/locale-bundle,
  /opt/kde3/share/doc-bundle & /usr/share/gnome/help-bundle (#302270)
* Thu Aug 30 2007 - dmueller@suse.de
- fix kdebug assertions on suppressed output
* Wed Aug 29 2007 - stbinner@suse.de
- get a missing Flash plugin not from Adobe but non-oss (#304999)
* Fri Aug 24 2007 - dmueller@suse.de
- disable kdDebug by default (#304173)
* Fri Aug 10 2007 - dmueller@suse.de
- add workaround for kernel garbling environ in kdeinit (#298943)
* Sat Aug 04 2007 - stbinner@suse.de
- update 3_5_BRANCH.diff:
  * make KAcceleratorManager automanage popups
  * fix kiconloader to scale if possible rather than return unknown
* Fri Aug 03 2007 - stbinner@suse.de
- split off libkdefx and Plastik into default-style sub-package
* Sun Jul 22 2007 - coolo@suse.de
- remove patch that conflicts with the 3.5 update because
  it went upstream too
* Fri Jul 20 2007 - llunak@suse.cz
- update 3_5_BRANCH.diff to include bugfixes (#293424)
* Mon Jul 16 2007 - stbinner@suse.de
- ensure that correct kcmshell is called (#277292)
* Fri Jul 13 2007 - stbinner@suse.de
- add text completion editor to khtml forms and KHistoryCombo
* Mon Jul 09 2007 - dmueller@suse.de
- add patch for being able to open kwallet via DCOP
* Thu Jun 28 2007 - wstephenson@suse.de
- allow http to contact localhost when in offline mode
* Tue Jun 19 2007 - dmueller@suse.de
- update 3_5_BRANCH.diff to fix various 3.5.7 regressions
* Sun Jun 10 2007 - stbinner@suse.de
- brand default user agent like done in Firefox
* Fri Jun 08 2007 - dmueller@suse.de
- fix quoting in desktop-translations hook
* Tue Jun 05 2007 - stbinner@suse.de
- add Provides: kdepim3-networkstatus
- restore binary compatibility in network status patch (#279884)
- update common_options_legacy from common_options
* Fri Jun 01 2007 - dmueller@suse.de
- update to current 3_5_BRANCH:
  * removes patches that went upstream
  * adds kinit wrapper for OOM protection
* Wed May 30 2007 - wstephenson@suse.de
- Update Obsoletes: as networkstatus was moved into libs
* Tue May 29 2007 - dmueller@suse.de
- fix kde_post_install to also find desktop files in
  other subdirectories under /opt/kde3/share
- use kde_post_install
- drop obsolete patch
* Thu May 24 2007 - wstephenson@suse.de
- Revised offline mode infrastructure (#237274)
* Wed May 23 2007 - stbinner@suse.de
- use %%fdupes
- add missing ldconfig calls
* Mon May 14 2007 - stbinner@suse.de
- update to 3.5.7
  * several bugfixes in khtml, kjs and katepart
- add khtml patch to fix Google Mail
* Mon May 07 2007 - stbinner@suse.de
- X-KDE-AutoEmbed=false for Java applications (#210967)
* Thu Apr 26 2007 - dmueller@suse.de
- fix avahi daemon detection (#264233)
* Mon Apr 23 2007 - stbinner@suse.de
- don't start randomly KDE4 when a KDE3 app exists via mini-cli
- interpret OnlyShowIn=KDE of KDE4 applications as NotShowIn
* Fri Apr 20 2007 - stbinner@suse.de
- ignore mime types of kde4 applications and mark them in menus
* Fri Apr 20 2007 - nadvornik@suse.cz
- adjusted BuildRequires for libjasper-devel
* Mon Apr 16 2007 - dmueller@suse.de
- add unzip to buildrequires for the java checker
* Thu Apr 12 2007 - stbinner@suse.de
- default to UTF-8 encoding for spellchecking (#261217)
* Tue Apr 03 2007 - stbinner@suse.de
- update 3_5_BRANCH diff to fix build of kde3-i18n
- fix compiler options for gcc on < 10.3
* Mon Apr 02 2007 - dmueller@suse.de
- update 3_5_BRANCH diff to include fix for
  * possible utf8 overlong decoding issue in kjs (#259187)
  * crash during ftp PASV scanning (#257045)
  * possible XSS in title tags (#238377)
* Mon Mar 26 2007 - dmueller@suse.de
- add libbz2-devel build requires
* Thu Mar 22 2007 - stbinner@suse.de
- adapt lpoptions config file position for CUPS 1.2 (#252947)
* Tue Mar 20 2007 - dmueller@suse.de
- fix typo in xauth localhostname patch which inverts the logic
* Mon Mar 19 2007 - dmueller@suse.de
- update 3_5_BRANCH.diff (#255753)
* Mon Mar 12 2007 - stbinner@suse.de
- update 3_5_BRANCH.diff to fix katepart selection problems
* Fri Mar 09 2007 - dmueller@suse.de
- apply 3_5_BRANCH.diff to fix build with Qt 3.3.8
* Fri Mar 09 2007 - stbinner@suse.de
- install kttds icon to hicolor/apps/ instead of crystalsvg/apps/
* Thu Mar 08 2007 - stbinner@suse.de
- adapt fix-gnome-help-support.diff to GNOME prefix move (#247434)
* Thu Feb 22 2007 - stbinner@suse.de
- make previous changes block only active for > 10.2
* Wed Feb 21 2007 - dobey@suse.de
- Remove hicolor scalable sizes patch
  Remove the kdelibs installed hicolor index.theme
  Require hicolor-icon-theme
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=247278
* Tue Feb 06 2007 - dmueller@suse.de
- update 3_5_BRANCH to include latest fixes
* Fri Feb 02 2007 - stbinner@suse.de
- fix changes file not incremental
* Wed Jan 24 2007 - stbinner@suse.de
- update to fixed 3.5.6 tarball (bubble notification problem)
* Mon Jan 22 2007 - stbinner@suse.de
- update to 3.5.6 release:
  * khtml:
      - implement CSS3 extension text-overflow: ellipsis.
      - implement overflow-x/y as many websites use it now.
      - several incorrect painting and crash bug fixes
  * katepart:
      - add actionscript highlighting.
      - add some pseudo-elements that khtml supports, but FireFox doesn't.
  * kdefx: change asterisks on passwords to bullets.
  * several bugfixes within kdeprint, kio and kjs
* Sun Jan 21 2007 - dmueller@suse.de
- fix build
* Sat Jan 20 2007 - aj@suse.de
- Use avahi.
* Wed Jan 03 2007 - stbinner@suse.de
- fix kickoff-drop-shadow.diff to not show drop shadows for all
  widgets of application after the first where it really should
* Mon Dec 11 2006 - dmueller@suse.de
- fix print dialog size in nondefault configuration (#227465)
* Fri Nov 24 2006 - dmueller@suse.de
- fix ktip icon hack breaking translations (#221177)
* Thu Nov 23 2006 - dmueller@suse.de
- fix cups only accepting localhost as ipp:// hostname (#222938)
- fix samba sharing dialog accessible even though samba not running
  (#159223)
* Wed Nov 22 2006 - stbinner@suse.de
- fix kdesu resets locale (#222728)
* Mon Nov 20 2006 - dmueller@suse.de
- workaround gdb issue with backtraces in drkonqi (#211982)
* Sat Nov 18 2006 - stbinner@suse.de
- fix branch kjs crash regression (kde #137518 & #137358), r602712
* Wed Nov 15 2006 - dmueller@suse.de
- run permissions in %%post (#221138)
* Wed Nov 08 2006 - stbinner@suse.de
- remove historic "Provides:" (#218798)
* Mon Nov 06 2006 - dmueller@suse.de
- add patch for drop shadows in kickoff
* Sun Nov 05 2006 - stbinner@suse.de
- fix dnd-utf8-fix.diff
* Sat Nov 04 2006 - stbinner@suse.de
- fix drag & drop print with utf-8 name (#194400)
* Fri Nov 03 2006 - stbinner@suse.de
- also search $XDG_DATA_DIRS/pixmaps for icons for now (#209385)
* Tue Oct 31 2006 - coolo@suse.de
- update 3_5_BRANCH.diff
   - even more KHTML fixes
* Fri Oct 27 2006 - coolo@suse.de
- update 3_5_BRANCH diff:
  * fix severe kde bug 127662, which made working with KDE so much
  less fun
* Fri Oct 20 2006 - stbinner@suse.de
- don't show progress when stating kio_beagle for beagle status
* Thu Oct 19 2006 - dmueller@suse.de
- update admin tarball
* Tue Oct 17 2006 - dmueller@suse.de
- update to 3_5_BRANCH.diff to add workaround
  for gdb being unable to produce a valid backtrace
* Sun Oct 15 2006 - schwab@suse.de
- Make sure config.rpath is present.
- Update automake version test.
* Wed Oct 11 2006 - stbinner@suse.de
- update 3_5_BRANCH diff:
  * fix crash when scheduling job for an invalid URL (#211541)
  * fix cstyle indenter regression in Kate
* Tue Oct 10 2006 - dmueller@suse.de
- update 3_5_BRANCH to fix cups connect timeout (#210260)
* Sat Oct 07 2006 - stbinner@suse.de
- update to the next 3.5.5 release tarball
   - fixes a crash in Kate when selecting or undoing
   - some safe khtml crash fixes
* Fri Oct 06 2006 - coolo@suse.de
- update to the next 3.5.5 release tarball
   - fixes for the kdesu show stopper bug
* Tue Oct 03 2006 - dmueller@suse.de
- update admin tarball (fixes kdelibs3-devel-doc)
- fix rejects in testkhtml (fixes testkhtml build)
- update 3_5_BRANCH to include kdesu fixes (#208272)
* Tue Oct 03 2006 - stbinner@suse.de
- update to 3.5.5 release tarball (no crypto changes)
* Sun Oct 01 2006 - stbinner@suse.de
- update 3.5 branch diff:
  fixes in knewstuff, khtml and kjs (date object), kio, kate,
  kdecore (iconloader, viewport) and kdeprint (cups)
* Wed Sep 27 2006 - dmueller@suse.de
- move ktradertest to kdelibs3 subpackage
* Tue Sep 26 2006 - dmueller@suse.de
- require sudo for 10.2 (#207884)
* Wed Sep 20 2006 - dmueller@suse.de
- add patch for CUPS 1.2.x support (#204453)
- add Viewport support to KWinModule
* Tue Sep 19 2006 - dmueller@suse.de
- add workaround for Xvfb bug in Xorg 7.1 in testkhtml
- fix kdelibs3-devel-doc build
- use sudo for kdesu authentication
* Thu Sep 14 2006 - coolo@suse.de
- update admin tar ball for python 2.5
- update 3.5 branch diff:
   - khtml, kjs fixes
   - QXIMInputContext crash workaround
   - cups 1.2: also support unix sockets and IPv6
   - protect urls in kdeprint interface
* Wed Sep 13 2006 - stbinner@suse.de
- fix build for < 10.1
* Mon Sep 11 2006 - ltinkl@suse.cz
- fix #187601 - Swedish characters doesn't display right using fish in Konqueror
  to access another computer over the network
- fix #204734 - recommend ispell, ispell_dictionary and enscript in kdelibs3
* Thu Sep 07 2006 - coolo@suse.de
- update to 3_5_BRANCH to get latest API additions
- remove meaningless "level a" from the version to report and
  use the kdelibs3 release number
* Sun Sep 03 2006 - stbinner@suse.de
- fix build
* Fri Sep 01 2006 - llunak@suse.cz
- Add patches with Xinerama improvements
- show Beagle kfile sidebar entry only if daemon is running
* Fri Sep 01 2006 - coolo@suse.de
- dropped unused patch (which required a suseconfig script anyway)
- updated 3_5_BRANCH to pickup random fixes (kate, khtml)
* Thu Aug 24 2006 - dmueller@suse.de
- build
* Thu Aug 24 2006 - llunak@suse.cz
- Search also $XDG_DATA_DIRS for icons (#192460).
* Wed Aug 23 2006 - stbinner@suse.de
- update 3_5_BRANCH (kate, khtml and translation improvements)
* Mon Aug 14 2006 - coolo@suse.de
- update 3_5_BRANCH.diff to fix "kcmshell background" if both GNOME
  and KDE are installed
* Fri Aug 11 2006 - dmueller@suse.de
- update 3_5_BRANCH.diff to include fix for SSL issues
* Mon Aug 07 2006 - coolo@suse.de
- update 3_5_BRANCH.diff to include favicon drawing fix
* Fri Aug 04 2006 - stbinner@suse.de
- #define KDELIBS_SUSE in kdeversion.h
- patch kfile for better beagle:/ support
- fix new X.org font paths for testkhtml
* Sun Jul 23 2006 - coolo@suse.de
- update to KDE 3.5.4:
  * several katepart, khtml and kjs fixes
  * increased usability of KIO KSSL dialog
  * allow KLineEdit show a hint message when empy and not focussed
  * update the whitelist of IDNs: add gr, is and org
  * kprocess/kcrash: add safety checks for set*uid return values
  * kdirwatch: fix crashes caused by inotify code
* Mon Jul 10 2006 - stbinner@suse.de
- fix kdelibs3-devel-doc build
* Sun Jul 09 2006 - stbinner@suse.de
- fix duplicate parameter name in kdemm (#189860)
* Fri Jun 30 2006 - dmueller@suse.de
- update 3_5_BRANCH.diff to include KSSL changes for testing
* Wed Jun 28 2006 - dmueller@suse.de
- update admin tarball for autoconf 2.60 support
* Tue Jun 27 2006 - stbinner@suse.de
- update 3_5_BRANCH.diff for KDirWatch fixes (#188527)
* Mon Jun 19 2006 - stbinner@suse.de
- update 3_5_BRANCH.diff for KLineEdit::setClickMessage(QString)
* Mon Jun 19 2006 - coolo@suse.de
- fix 3.5.3 regression: show football news on spiegel.de
  again (KDE #128944)
* Fri Jun 16 2006 - coolo@suse.de
- fix requires for older distributions (#185403)
* Mon Jun 12 2006 - stbinner@suse.de
- Add 3_5_BRANCH.diff update to fix openEXR configure check
* Mon Jun 12 2006 - dmueller@suse.de
- Update admin tarball from SVN
* Fri Jun 09 2006 - dmueller@suse.de
- reenable -Wl,as-needed
* Fri Jun 02 2006 - dmueller@suse.de
- disable -Wl,as-needed as long as binutils are not fixed
* Mon May 29 2006 - stbinner@suse.de
- fix build of kdelibs3-devel-doc
* Wed May 24 2006 - stbinner@suse.de
- update to KDE 3.5.3
  * several fixes to khtml, kio, kdeprint, kdeui and io-slaves
* Tue May 23 2006 - ltinkl@suse.cz
- integrate print preview patch (#133246)
* Sat May 20 2006 - adrian@suse.de
- do not require libdrm-devel for < 10.1
* Fri May 19 2006 - stbinner@suse.de
- make khtml smooth scrolling acceptable (#175741)
* Wed May 17 2006 - dmueller@suse.de
- fix kerberos handling in kprinter (#154334)
* Mon May 15 2006 - stbinner@suse.de
- update to KDE 3.5.2 and 3_5_BRANCH.diff
  * fixes to Kate
  * khtml: fixes and performance improvements
  * kjs: fixes and performance improvements
* Mon May 15 2006 - stbinner@suse.de
- complete OpenDocument mime type icons (#166917)
* Tue May 02 2006 - coolo@suse.de
- only show kresources in KDE (#170681)
* Thu Apr 13 2006 - dmueller@suse.de
- add dbus-1-qt3-devel to kdelibs3-devel dependencies
* Thu Apr 13 2006 - dmueller@suse.de
- implement mediamanager/hal-unmount support in KIO (#160654)
* Wed Apr 12 2006 - dobey@suse.de
- Add patch to improve default svg sizes in hicolor index.theme
  Partial fix of https://bugzilla.novell.com/show_bug.cgi?id=162222
  If kdelibs3 is installed as well and the user uses gnome, this is
  needed to prevent breaking the sizes in upstream hicolor which is
  included in the gnome-icon-theme package
* Fri Apr 07 2006 - dmueller@suse.de
- fix media:/ urls in kfiledialog
- fix kdirwatch inducted memory corruption, often seen
  as kate crashing during save.
* Mon Apr 03 2006 - dmueller@suse.de
- don't package xx locale
* Tue Mar 28 2006 - dmueller@suse.de
- fix xauth being garbled during hostname changes (#147691)
- fix tar extraction error for certain archives (#161312)
* Tue Mar 28 2006 - ro@suse.de
- kdelibs3-devel req: replace mDNSResponder by mDNSResponder-devel
* Tue Mar 28 2006 - stbinner@suse.de
- fix kdesu maybe not working with non-C locale (#152077)
* Tue Mar 28 2006 - ro@suse.de
- fix last patch to apply
* Mon Mar 27 2006 - dmueller@suse.de
- don't rely on KApplication still being there for KMessagebox (#160396)
* Mon Mar 27 2006 - coolo@suse.de
- only assume all KIO protocols if the desktop file specifies KDE
  category (#160777)
* Fri Mar 24 2006 - dmueller@suse.de
- reduce BuildRequires
- fix pasting of files with name collissions (#160581)
* Tue Mar 21 2006 - stbinner@suse.de
- add support for login part of fdo autostart spec draft (#159395)
* Tue Mar 21 2006 - dmueller@suse.de
- fix window titles in non-utf8 locale (#131287)
- drop gcc 4.1 miscompile workaround patch
* Tue Mar 21 2006 - dmueller@suse.de
- fix pixmap leak in khtml
* Mon Mar 13 2006 - wstephenson@suse.de
- add offline mode for http
* Mon Mar 13 2006 - dmueller@suse.de
- reduce KDirWatch noiselevel (#157523)
* Sun Mar 12 2006 - coolo@suse.de
- fix execution of desktop files without urls (#157130)
* Tue Mar 07 2006 - wstephenson@suse.de
- Make sure that if a filesystem is not mounted with acl support, but the
  acl support is compiled in, the metadata for acl setting is not set,
  thus preventing and error on save, and as a result of that failure to
  set permissions for all but the first file (in the multiple files case).
* Tue Mar 07 2006 - coolo@suse.de
- pass windows in KRun (#155355)
* Sat Mar 04 2006 - coolo@suse.de
- fix application themed icons (k3b toolbar)
* Wed Mar 01 2006 - coolo@suse.de
- let kdelibs3-arts recommend kdemultimedia3-arts as it avoids crashes
  (#115245)
* Tue Feb 28 2006 - coolo@suse.de
- let crystalsvg inherit suseadds, so that we take the gnome and yast
  icons in account (#154062)
* Tue Feb 28 2006 - stbinner@suse.de
- degrade (untranslatable) kimproxy messagebox to warning
* Tue Feb 21 2006 - dmueller@suse.de
- -fPIE is needed for s390x
* Fri Feb 17 2006 - coolo@suse.de
- avoid breaking translations (show-distribution.diff)
* Thu Feb 16 2006 - coolo@suse.de
- fix encoding problems with kprinter (mangled UTF-8)
* Wed Feb 15 2006 - ltinkl@suse.cz
- fix #148215 - kde colorchooser won't save user defined colors
- fix #143263 - [gtk-qt] GTK+ scrollbars have several rendering issues
* Tue Feb 07 2006 - stbinner@suse.de
- use XAUTHLOCALHOSTNAME as host name, patch by Lubos (#147691)
* Mon Feb 06 2006 - dmueller@suse.de
- lookup desktop translations in desktop_translations catalogue
* Mon Feb 06 2006 - stbinner@suse.de
- don't require libdrm-devel for older than SUSE Linux 10.1
* Fri Feb 03 2006 - coolo@suse.de
- add patch to fix KLocale warnings (#146525)
* Fri Feb 03 2006 - coolo@suse.de
- update clever menu patch to fix #74524 (by Lubos)
* Fri Feb 03 2006 - coolo@suse.de
- replace our own kdontchangethehostname with upstream fix
- debug output corrections
* Thu Feb 02 2006 - coolo@suse.de
- fix requires for older distributions
- remove %%ifs for < 920
* Wed Feb 01 2006 - coolo@suse.de
- translate servicemenus as they are used now for the medianotifier
  (most of them will already have upstream translations)
* Wed Feb 01 2006 - stbinner@suse.de
- fix tiny clickable areas of status icons in Konqueror (#146500)
* Mon Jan 30 2006 - stbinner@suse.de
- update to 3.5 branch (changes to kprocess, khtml and kate)
* Sat Jan 28 2006 - coolo@suse.de
- look for wallpapers into /usr/share/wallpapers
* Fri Jan 27 2006 - dmueller@suse.de
- workaround gcc 4.1 miscompile
* Fri Jan 27 2006 - coolo@suse.de
- fix patch conflict
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - coolo@suse.de
- update to 3.5 branch for inotify fixes
- fix the kde_post_install translations
* Mon Jan 23 2006 - coolo@suse.de
- translate more files in kde_post_install
- some khtml fixes for 3.5 branch
- disable preview for media:/ content
* Sat Jan 21 2006 - coolo@suse.de
- update to KDE 3.5.1
* Thu Jan 19 2006 - dmueller@suse.de
- disable dnotify, we want inotify
* Wed Jan 11 2006 - stbinner@suse.de
- update to 3_5_BRANCH (kdirwatch and kio_thumbnail fixes)
* Mon Jan 09 2006 - mls@suse.de
- add kde3-devel-packages to devel package, obsoletes macro
* Sun Jan 08 2006 - stbinner@suse.de
- update to 3_5_BRANCH (disable inotify on old broken kernels)
* Thu Jan 05 2006 - llunak@suse.cz
- update performance patches, use same names like in kdebase-SuSE
* Tue Dec 20 2005 - dmueller@suse.de
- add doc/HTML/* to filelist
* Mon Dec 19 2005 - dmueller@suse.de
- add locale directories to the file list
* Mon Dec 19 2005 - coolo@suse.de
- fix file list
* Thu Dec 15 2005 - coolo@suse.de
- update to 3_5_BRANCH for strict aliasing fixes
* Sun Dec 11 2005 - stbinner@suse.de
- update to 3_5_BRANCH (KDE #116156 and others)
* Thu Dec 08 2005 - coolo@suse.de
- remove work around as binutils were fixed
* Mon Dec 05 2005 - coolo@suse.de
- update to 3.5 branch
- add work around for better -Bdirect support
* Sat Dec 03 2005 - coolo@suse.de
- build with -Bdirect if available
* Fri Dec 02 2005 - dmueller@suse.de
- remove inotify patch, upstream now
* Fri Dec 02 2005 - dmueller@suse.de
- create locolor icon dirs as well
* Thu Dec 01 2005 - dmueller@suse.de
- create hicolor icon dirs and add them to the file list
* Wed Nov 30 2005 - coolo@suse.de
- update to 3.5 branch
- update startup improvement patches
- remove the -O1 LDFLAGS for now
* Sat Nov 26 2005 - coolo@suse.de
- update to 3.5.0
* Wed Nov 23 2005 - coolo@suse.de
- update to 3.5 branch
* Tue Nov 22 2005 - stbinner@suse.de
- fix testkhtml build
* Mon Nov 21 2005 - stbinner@suse.de
- update to 3.5 RC 2
* Wed Nov 16 2005 - stbinner@suse.de
- fix iconloader to not load icons from wrong inherited icon set
* Wed Nov 16 2005 - uli@suse.de
- fixed to build on ARM (don't understand why it didn't fail
  on other archs, though)
* Sat Nov 12 2005 - stbinner@suse.de
- updated admin.tar.bz2
- no dependency on kdelibs3-arts on older distributions
* Sat Nov 12 2005 - dmueller@suse.de
- link with -O1
* Thu Nov 10 2005 - stbinner@suse.de
- update to 3.5 RC 1
* Thu Nov 10 2005 - dmueller@suse.de
- update inotify patch to current branch
* Fri Nov 04 2005 - coolo@suse.de
- adding patch to rework autostart handling
* Tue Oct 18 2005 - dmueller@suse.de
- don't filter include hints for BETA
- update 3_5_BRANCH
* Mon Oct 17 2005 - dmueller@suse.de
- reduce debug output in kdelibs-inotify patch
* Mon Oct 17 2005 - ke@suse.de
- Fix xml encoding in contributor entities.
* Mon Oct 17 2005 - dmueller@suse.de
- update admin tarball to fix version number of packages
* Fri Oct 14 2005 - dmueller@suse.de
- add inotify support patch (experimental)
* Wed Oct 12 2005 - stbinner@suse.de
- update to version 3.4.92 (3.5 Beta 2)
* Mon Oct 10 2005 - dmueller@suse.de
- remove includehints from .ui files to fix Qt 3.3.5-caused build
  failures
* Thu Oct 06 2005 - stbinner@suse.de
- added flac and flac-devel to neededforbuild (required by the new
  libsndfile)
* Wed Oct 05 2005 - stbinner@suse.de
- adapt patches after update to 3.5 branch
* Wed Oct 05 2005 - coolo@suse.de
- update to 3.5 branch for various fixes
- adding inotify support to kdirwatch (kde4 backport)
* Sat Oct 01 2005 - coolo@suse.de
- fix VERBOSE=1
* Fri Sep 30 2005 - coolo@suse.de
- fix start without sycoca
* Thu Sep 29 2005 - dmueller@suse.de
- ACL support only if > 10.0
* Thu Sep 29 2005 - dmueller@suse.de
- fix kde_post_install to be robust against errors
* Wed Sep 28 2005 - dmueller@suse.de
- build with ACL support
- use unsermake with VERBOSE=1 to have useful logs
* Tue Sep 27 2005 - stbinner@suse.de
- add patch to allow and use no icon fallback if an icon is missing
- add upstream patch fixing common khtml crash (KDE #112905)
* Tue Sep 27 2005 - dmueller@suse.de
- fix kde_post_install to not abort when no icon is there
* Tue Sep 27 2005 - adrian@suse.de
- do not require mDNSResponder for 9.2 and before
* Thu Sep 22 2005 - dmueller@suse.de
- fix autobuild
* Wed Sep 21 2005 - ke@suse.de
- Add KDE docbook customizations to the SGML resp. XML catalog system [#
  113080].
* Wed Sep 21 2005 - coolo@suse.de
- fix file file
- fix --no-unsermake support
* Mon Sep 19 2005 - stbinner@suse.de
- update to version 3.4.91 (3.5 Beta)
* Mon Sep 12 2005 - stbinner@suse.de
- fix missing images in ktip (#115954)
* Fri Sep 09 2005 - dmueller@suse.de
- split -devel-docs into a separate noarch package
* Thu Sep 08 2005 - bg@suse.de
- disable --as-needed for hppa (does not build with that option)
* Thu Sep 08 2005 - coolo@suse.de
- let the icon loader find the suse specials independent on the theme
  (#115139 and others)
* Wed Sep 07 2005 - dmueller@suse.de
- fix kwallet wizard being 3000px in size (#114954)
* Wed Sep 07 2005 - dmueller@suse.de
- fix kpdf embedding crashes (#114724)
- add forgotten patch for mozilla/dragonegg integration
* Wed Sep 07 2005 - dmueller@suse.de
- improve TIFF detection (#114319)
* Tue Sep 06 2005 - dmueller@suse.de
- fix JPEG2000 support in KImgio (#115324)
* Tue Aug 23 2005 - coolo@suse.de
- add mimetype for OOo base (#72285)
* Tue Aug 23 2005 - coolo@suse.de
- don't play around with xauth when the host name changes
  (#98627)
* Tue Aug 23 2005 - dmueller@suse.de
- fix novell.com language selector (#106008)
* Mon Aug 22 2005 - coolo@suse.de
- don't put libkdeinit_*.so in -devel
* Sun Aug 21 2005 - coolo@suse.de
- update from 3.4 branch to fix endless kio_http loop
- fix DPMS check in admin (broke with --enable-new-ldflags)
* Sat Aug 20 2005 - coolo@suse.de
- update from 3.4 branch
- pleasing the libtool check
* Fri Aug 19 2005 - adrian@suse.de
- fix endless loop, if no KDEMM backend can get found (#105772)
* Fri Aug 19 2005 - llunak@suse.cz
- Fix QXEmbed to have focus working properly in yast+kcontrol
  (#46495).
* Thu Aug 18 2005 - adrian@suse.de
- do not use KLIRRRRR sound on popular request ...
* Thu Aug 18 2005 - coolo@suse.de
- extend kde_post_install of common_options
* Wed Aug 17 2005 - adrian@suse.de
- move arts dependency to -arts package
- clean up really all SimplePlayers in knotify, might cause a crash
  which needs to be debugged
* Mon Aug 15 2005 - dmueller@suse.de
- fix horizontal scrolling in KHTML broken by the smooth scrolling
  patch (#76565).
* Sat Aug 13 2005 - adrian@suse.de
- fix memory/handle leak in knotify while playing sound via kdemm
  knotify can still hang, if all alsa channels are used. (#97588)
- install icons for BitTorrent MimeType
* Thu Aug 11 2005 - coolo@suse.de
- removing all of the extraicons patch, it doesn't work at all anymore
  so we need a new solution (also #85839 I guess)
- updated 3.4 branch to get a fix for a crashing dcopserver and
  hanging mounts (#102564)
* Thu Aug 04 2005 - sbrabec@suse.cz
- Removed share/pixmaps links from crystalsvg (#85839).
* Mon Aug 01 2005 - coolo@suse.de
- 3.4 update replacing custom patches
* Fri Jul 29 2005 - dmueller@suse.de
- Update admin tarball to include -Wno-non-virtual-dtor flag
- Fix PIE detection (#98889)
- Fix visibility support
* Tue Jul 26 2005 - llunak@suse.cz
- Fix #96594 (knotify logout timeout)
* Fri Jul 22 2005 - coolo@suse.de
- update to version 3.4.2
* Mon May 30 2005 - adrian@suse.de
- fix build for released distributions
* Tue May 24 2005 - adrian@suse.de
- update to version 3.4.1
- set level back to "a"
* Fri May 13 2005 - coolo@suse.de
- init variable
* Tue Apr 19 2005 - coolo@suse.de
- update admin for gcc4
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Thu Apr 14 2005 - adrian@suse.de
- update to current 3_4_BRANCH
  * parallel build order fix
- do not export kdemm video player api, it will not get any
  implementation in this way
* Wed Apr 13 2005 - adrian@suse.de
- update to current 3_4_BRANCH
- increase patch Level to "c"
- export kdemm mixer interface
* Fri Apr 08 2005 - adrian@suse.de
- port kfilepreview to kdemm
- extra arts subpackages, aRts is optional now !
- add DNS resolver fix from 3_4_BRANCH
* Mon Apr 04 2005 - adrian@suse.de
- add missing #include to fix compile of kdemm players
* Mon Apr 04 2005 - coolo@suse.de
- enable features for new ld
* Fri Apr 01 2005 - adrian@suse.de
- fix build with gcc 4, exporting kdemm classes
* Thu Mar 31 2005 - adrian@suse.de
- first steps to make arts optional:
  * add experimental kdemm support for post 9.3
  * use kdemm instead of arts in knotify
  * TODO: port kfileaudiopreview to kdemm
- do not overrule CFLAGS from spec files
* Wed Mar 30 2005 - coolo@suse.de
- disable visibility when compiled with debug (for testkhtml)
* Mon Mar 28 2005 - schwab@suse.de
- common_options: also set CFLAGS.
* Sat Mar 19 2005 - aj@suse.de
- Integrate patch from Waldo Bastian for #71888 to fix
  accessing of Netscape bookmarks in konqueror.
* Fri Mar 18 2005 - adrian@suse.de
- fix aspell support
- fixes from 3_4_BRANCH
  * toolbar configuration fix (#73662)
  * IPv6 blacklist io-slave fix
  * a khtml crash fix with innerweb
  * redirection fix to uppercase written top level domains
* Tue Mar 15 2005 - adrian@suse.de
- fix kspell recursion, visible in kbabel (#72773 by Waldo)
* Mon Mar 14 2005 - coolo@suse.de
- take susetranslations.mo into account for translations
* Mon Mar 14 2005 - coolo@suse.de
- fix smoothscrolling patch (Lubos)
- adding some more kate fixes from branch
* Fri Mar 11 2005 - coolo@suse.de
- some more fixes from 3_4_BRANCH
* Tue Mar 08 2005 - adrian@suse.de
- various updates from cvs
  * missing kate initialising (Lubos)
  * kcmmodule crash fixed (Waldo)
  * khtml fixes
* Mon Mar 07 2005 - adrian@suse.de
- fix progress bar (from KDE cvs)
* Mon Mar 07 2005 - coolo@suse.de
- add fix for broken webdav URLs (#59203)
* Sat Mar 05 2005 - adrian@suse.de
- fixes from KDE cvs:
  * support Netware based ftp servers in kio_ftp
  * fix proxy socks support
* Sat Mar 05 2005 - adrian@suse.de
- update to version 3.4 final (not final try)
* Wed Mar 02 2005 - adrian@suse.de
- update scrollview patch to BC version
- move Requires: kdelibs3_doc to kdebase3
* Sat Feb 26 2005 - adrian@suse.de
- update to 3.4.0 RC1
* Thu Feb 24 2005 - adrian@suse.de
- update to version 3.4.0 RC1 try 1
* Tue Feb 22 2005 - adrian@suse.de
- update to current CVS
- add soft scrolling patch from Allan Sandfeld
* Tue Feb 22 2005 - adrian@suse.de
- remove secure ICE patch again, it is part of CVS now
* Mon Feb 21 2005 - adrian@suse.de
- update to current CVS
* Fri Feb 18 2005 - adrian@suse.de
- update to current CVS
* Wed Feb 16 2005 - adrian@suse.de
- remove floppy:/ from file dialog again, media:/ is enough
* Mon Feb 14 2005 - adrian@suse.de
- update from CVS
- add rubberband patch from Andre Moreira Magalhaes, disabled by
  default
* Mon Feb 14 2005 - adrian@suse.de
- make it possible to disable IDN support via KDE_NO_IDN enviroment
  variable
* Sun Feb 13 2005 - coolo@suse.de
- fix do_make -j15
* Fri Feb 11 2005 - adrian@suse.de
- update from CVS
* Wed Feb 09 2005 - adrian@suse.de
- apply patch from Waldo to set ICE sockets to 0700 permissions
* Mon Feb 07 2005 - adrian@suse.de
- update to beta 2
* Sat Jan 29 2005 - coolo@suse.de
- fix --no-unsermake
* Fri Jan 28 2005 - meissner@suse.de
- removed setuid root binary kgrantpty which is not needed
  since 8.1...
* Fri Jan 28 2005 - adrian@suse.de
- update to current snapshot
- use external unsermake now
* Tue Jan 25 2005 - adrian@suse.de
- adapt file dialog for media slave and remove floppy icon
* Mon Jan 24 2005 - coolo@suse.de
- update to current snapshot (for testkhtml)
* Thu Jan 20 2005 - adrian@suse.de
- update to current snapshot
* Sat Jan 15 2005 - schwab@suse.de
- Use <owner>:<group> in permissions file.
* Fri Jan 14 2005 - adrian@suse.de
- update to current HEAD
- disable limit-image-size patch, since it got also disabled in qt
* Thu Jan 13 2005 - coolo@suse.de
- update to HEAD to get kdebase HEAD compiled
* Mon Jan 10 2005 - adrian@suse.de
- fix kprinter.h header, this fixes the build of kdebindings
* Mon Jan 10 2005 - coolo@suse.de
- fix permissions of do_make
* Sun Jan 09 2005 - adrian@suse.de
- final 3.4 beta 1
* Tue Jan 04 2005 - coolo@suse.de
- update to 3.4 beta 1 (first snapshot)
* Fri Dec 17 2004 - coolo@suse.de
- let -Wl, pass in $LDFLAGS
- fix quoting in make wrapper
* Thu Dec 16 2004 - hvogel@suse.de
- change icon to about_kde. go comes from another package and
  we dont want kdelibs require kdebase
* Wed Dec 15 2004 - coolo@suse.de
- make the unsermake/automake switch more clever
* Tue Dec 14 2004 - coolo@suse.de
- fix unsermake $PATH for packages that build several sources
* Mon Dec 13 2004 - coolo@suse.de
- remove debug flag from configure
- replaced unsermake with latest greatest
* Wed Dec 08 2004 - adrian@suse.de
- update to official 3.4 alpha 1
* Mon Dec 06 2004 - adrian@suse.de
- update to KDE head snapshot
* Fri Dec 03 2004 - adrian@suse.de
- update to the final tar bal of 3.3.2
* Mon Nov 29 2004 - adrian@suse.de
- update to version 3.3.2
* Fri Nov 26 2004 - adrian@suse.de
- extend KDE_VERSION_STRING with extra Level information to tell
  information about applied patches
- extend distribution string with distribution version
- show distribution version in about dialog
* Thu Nov 25 2004 - adrian@suse.de
- correct gnome icon path to hicolor
* Wed Nov 24 2004 - adrian@suse.de
- accept also Python 2.4 in configure checks
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Mon Nov 15 2004 - adrian@suse.de
- include /opt/kde3/share/icons/crystalsvg/22x22/apps path
* Wed Nov 10 2004 - ro@suse.de
- permission handling fixes
* Wed Nov 10 2004 - coolo@suse.de
- moving khtml 3.3 diff in a seperate diff (now that the 3.3 branch
  contains a lot of updates for it)
* Mon Nov 08 2004 - coolo@suse.de
- renable patch to limit image size (#43841)
* Wed Nov 03 2004 - coolo@suse.de
- updated khtml again to fix compilation problem with gcc 4
* Wed Nov 03 2004 - coolo@suse.de
- use HTML rendering engine from CVS head (preparing backport for
  3.3.2)
* Tue Oct 12 2004 - adrian@suse.de
- update to version 3.3.1
* Wed Oct 06 2004 - adrian@suse.de
- fix crash in libkabc, when importing an ldif file (#46882)
* Tue Oct 05 2004 - adrian@suse.de
- do also find gnome pages when using "en_*" locale, instead of
  "C" or "en" (#45480)
* Sat Oct 02 2004 - adrian@suse.de
- try to avoid klauncher registration with a wrong dcop name.
  this can happen, if two KDE application gets started at the
  same time, without having running kdeinit before.
  patch by Waldo and solves problems in Gnome hopefully (#46355)
- khtml rendering fix for nvidia.com
* Fri Oct 01 2004 - adrian@suse.de
- fix html frame parent problem, fixes www.map24.de (#44156)
* Thu Sep 30 2004 - adrian@suse.de
- fix nasty error startup messages
- fix two minor javascript bugs
- fix Netscape bookmarks wrapping (by Waldo, #45917)
* Sun Sep 26 2004 - adrian@suse.de
- update to current 3_3_BRANCH
  * translation updates
  * kpart handling fixes
* Mon Sep 20 2004 - adrian@suse.de
- update to current 3_3_BRANCH
- add fix for KDE file dialog on 64bit
  (crash when called by 32bit application, by Waldo #44995)
* Thu Sep 16 2004 - adrian@suse.de
- use kwallet fix from Arvin
  (update external hash keys immediatly #43973)
* Wed Sep 15 2004 - adrian@suse.de
- disable kwallet fix, it is known to create a memory leak
* Tue Sep 14 2004 - adrian@suse.de
- update to current branch
  * khtml fixes
* Fri Sep 10 2004 - adrian@suse.de
- update to current branch
- apply fix for kwallet from HEAD, needed for kinternet
* Tue Sep 07 2004 - adrian@suse.de
- update to current BRANCH
- more silence during kbuildsycoca run
- disable default unsermake in beta
- remove mad from nfb
* Fri Sep 03 2004 - coolo@suse.de
- fixing the fix ;(
* Fri Sep 03 2004 - coolo@suse.de
- unsermake: do not remove the .deps file before regenerating it to
  avoid make races
* Mon Aug 30 2004 - adrian@suse.de
- compile with explicit --disable-debug to get rid off asserts
* Sat Aug 28 2004 - adrian@suse.de
- update to current BRANCH
- add gnome help page support for khelpcenter(by clahey, #44061)
* Mon Aug 23 2004 - adrian@suse.de
- disable patch to limit image sizes in khtml, it causes crashes
  atm
* Fri Aug 20 2004 - adrian@suse.de
- update to current 3_3_BRANCH
- add patch from clahey to support gnome help pages better in khelpcenter
* Wed Aug 18 2004 - adrian@suse.de
- move debug mode switch to common_options
* Tue Aug 17 2004 - adrian@suse.de
- add patch from Waldo to make it possible to limit the max image
  size within QImage. (#43841)
* Mon Aug 16 2004 - adrian@suse.de
- update to version 3.3.0 final
- use "make compile"
* Fri Aug 13 2004 - coolo@suse.de
- removed 3_2_BRANCH.diff
- build with unsermake
* Tue Aug 10 2004 - adrian@suse.de
- update to version 3.3.0 RC2
- split doc tools into subpackage to make it possible to use
  a different theming for special products
* Mon Aug 02 2004 - adrian@suse.de
- accept automake 1.9
* Mon Jul 19 2004 - adrian@suse.de
- update to version 3.2.92 (KDE 3.3 beta 2)
* Tue Jun 29 2004 - adrian@suse.de
- do not remove .cpp/.h files, if they are not really generated
  by uic
* Mon Jun 28 2004 - adrian@suse.de
- enable OpenEXR support
* Mon Jun 28 2004 - adrian@suse.de
- update to version 3.3 beta 1
  * usual patch cleanup
* Mon May 31 2004 - adrian@suse.de
- update to version 3.2.3
  * remove obsolete patches
* Wed May 12 2004 - adrian@suse.de
- update user_profile patch
- add 3.3 button layout patch
* Thu Apr 29 2004 - coolo@suse.de
- let unsermake rewrite install rules with $DESTDIR
- use unsermake for kdelibs and parallel build
* Sat Apr 24 2004 - sndirsch@suse.de
- use xorg-x11 packages
* Tue Apr 20 2004 - adrian@suse.de
- use admin tar ball from HEAD
- extend kde-config to export library suffix and check for it in
  configure
- add user profiles patch from Waldo
* Sun Apr 18 2004 - coolo@suse.de
- updated unsermake
* Wed Apr 14 2004 - adrian@suse.de
- update to version 3.2.2
* Tue Apr 13 2004 - adrian@suse.de
- adding utempter to neededforbuild. (#38833)
  (this does not lead into a new runtime requirement)
* Sun Apr 04 2004 - adrian@suse.de
- do only show important items in file dialog (#38269)
* Thu Apr 01 2004 - coolo@suse.de
- replacing brute force shut up with a real log file in kconf_update
  (Waldo)
* Wed Mar 31 2004 - adrian@suse.de
- fix 3_2_BRANCH patch
* Tue Mar 30 2004 - adrian@suse.de
- enable incremental sycoca creation again
* Tue Mar 30 2004 - coolo@suse.de
- fix desktop icon renaming (Waldo)
- fixing kconf_update for kwin (Waldo,#36682)
* Mon Mar 29 2004 - coolo@suse.de
- handle cups printers that insist on being different (#37011)
* Sat Mar 27 2004 - adrian@suse.de
- fix regression in khtml parser with latest update (by coolo)
* Fri Mar 26 2004 - adrian@suse.de
- more silence (Waldo, Dirk and Adrian)
- apply fix for possible hanging library unloading (Lubos)
- fix regression in khtml parser with latest update (coolo)
- fix for hidden cookie windows below main windows (Lubos)
- fix icons in kcontrol
* Tue Mar 23 2004 - adrian@suse.de
- update to current 3_2_BRANCH
  * khtml fixes
  o recursion protection
  o official patch for kio urls
  o crash fix (happened with Quanta)
  o urls with trailing / are handled as directories
  o fix for some flash enabled sites (#36656)
- fix fileshare.diff, make us compatible to KDE again
- call %%run_permissions
- apply fix for utf8 localisation problem in kdehelp (coolo, #36681)
- adjust yast icon path to the new location
- fix missing include in fontconfig-reverse-lookup patch
- remove special settings for s390 and alpha
  (leaded into new problems like implicit declarations of functions)
* Mon Mar 22 2004 - adrian@suse.de
- update to current 3_2_BRANCH
  * fixes security leak in kdeprint (#36663)
- add patch from Waldo to disallow kio urls in khtml
* Sun Mar 21 2004 - adrian@suse.de
- do not trigger mount with konq view of /media/ (by Lubos)
* Sun Mar 21 2004 - adrian@suse.de
- update to current 3_2_BRANCH
  * fixed linebreak patch
- fix deactivated patches and remove obsolete ones
- suppress sycoca warnings about missing mimetypes
* Mon Mar 15 2004 - coolo@suse.de
- another update to 3_2_BRANCH (kdeprint layout fixes and kate repaint problems)
* Sat Mar 13 2004 - coolo@suse.de
- adding patch to force line breaks in translation of desktop files
  (Arbeits-\nplatz)
* Wed Mar 10 2004 - coolo@suse.de
- kill dcopserver explicitly
* Wed Mar 10 2004 - coolo@suse.de
- use current 3_2_BRANCH (#35070)
* Mon Mar 08 2004 - adrian@suse.de
- use current 3_2_BRANCH
- disable debug mode
- find YaST icons
* Sun Mar 07 2004 - coolo@suse.de
- fixing pnome -> gnome typo
- adding libidn-devel as requirement for devel subpackage
* Sat Mar 06 2004 - coolo@suse.de
- older distributions have different layouts for gnome. Avoid
  dangling symlinks
* Fri Mar 05 2004 - coolo@suse.de
- fixing build
* Fri Mar 05 2004 - coolo@suse.de
- restart cups through rcscripts instead of kill magic (#32787)
- final update for 3.2.1
* Thu Mar 04 2004 - coolo@suse.de
- require libidn hard to avoid problems e.g. on lib64
* Wed Mar 03 2004 - adrian@suse.de
- removed gnome packages from neededforbuild
* Tue Mar 02 2004 - coolo@suse.de
- update tarball again for khtml regression fixes
* Tue Mar 02 2004 - coolo@suse.de
- fix build
* Mon Mar 01 2004 - coolo@suse.de
- update to version 3.2.1
- reworked build process
* Wed Feb 25 2004 - adrian@suse.de
- update to current 3_2_BRANCH
- add -g as compiler option for beta test
* Wed Feb 25 2004 - adrian@suse.de
- do not build on slow architectures
* Mon Feb 23 2004 - adrian@suse.de
- do not use DNotify or FAM on /media
- long poll intervall for /media
- include GnomeCrystal icons and general pixmaps path
* Mon Feb 23 2004 - coolo@suse.de
- initial package
* Mon Feb 23 2004 - coolo@suse.de
- update 3_2_BRANCH
- update HEAD khtml
- adding testkhtml.spec
* Sat Feb 21 2004 - adrian@suse.de
- add gnome and default icon pathes
- fix ssh.protcol installation
- fix syntax error in common_options
* Fri Feb 20 2004 - coolo@suse.de
- use khtml from HEAD (to be backported)
- update admin tar ball
- take out testing khtml from the main page
* Wed Feb 18 2004 - adrian@suse.de
- update to current 3_2_BRANCH
  * ssh support to ktelnetservice
- remove pcsc-lite from neededforbuild
- disable test_regression for now
* Wed Feb 11 2004 - coolo@suse.de
- fixing build on s390
* Wed Feb 11 2004 - adrian@suse.de
- update to current 3_2_BRANCH
* Thu Jan 29 2004 - adrian@suse.de
- apply fix for printing with QT 3.3
* Mon Jan 26 2004 - adrian@suse.de
- update to version 3.2.0 final
* Fri Jan 23 2004 - adrian@suse.de
- update to current 3_2_BRANCH
* Wed Jan 21 2004 - adrian@suse.de
- disable sse and mmx usage on 9.0 (compiler bug)
- remove autom4te.cache during update_admin
  (automake 2.8 can run into error with <2.8 cache data)
* Wed Jan 21 2004 - adrian@suse.de
- update to current BRANCH to get various khtml fixes
* Sun Jan 18 2004 - adrian@suse.de
- update to version 3.1.95 ( KDE 3.2 RC1 )
* Fri Jan 16 2004 - adrian@suse.de
- implement short menus again
* Tue Jan 13 2004 - adrian@suse.de
- update to snapshot 2004011309
- disable debug
* Tue Jan 06 2004 - adrian@suse.de
- update to snapshot 2004010618
- add kde_post_install function to common_options
- remove pregenerated files from uic during update_admin
* Thu Dec 18 2003 - adrian@suse.de
- update to snapshot 2003121718
* Mon Dec 15 2003 - adrian@suse.de
- update to snapshot 2003121511
- accept automake 1.8
* Wed Dec 10 2003 - adrian@suse.de
- update to snapshot 2003121013
* Tue Dec 09 2003 - adrian@suse.de
- package test_regression for testing in khtmltest package
* Tue Dec 02 2003 - adrian@suse.de
- use beta2, take two tar ball
* Mon Dec 01 2003 - adrian@suse.de
- update to 3.1.94 ( KDE 3.2 beta 2 )
* Sun Nov 23 2003 - adrian@suse.de
- update to snapshot 2003112315
  * build again with alsa 1.0
* Thu Nov 13 2003 - adrian@suse.de
- update to new snapshot from 2003102409
- add jasper (JPEG2000) support
* Wed Oct 29 2003 - adrian@suse.de
- update to KDE 3.2 beta1
* Tue Oct 21 2003 - adrian@suse.de
- update to snapshot 2003102008
* Sun Oct 05 2003 - adrian@suse.de
- update to snapshot 2003100510
* Wed Oct 01 2003 - adrian@suse.de
- update to snapshot 3.1.92_2003093021
  * should fix building of KDE 2.2 documents in other packages
* Mon Sep 29 2003 - adrian@suse.de
- update to version 1.1.92 (KDE 3.2 alpha 2)
* Tue Sep 23 2003 - adrian@suse.de
- apply crash fix (happens in kdesktop) from Marcus Meissner
  happened with a (most likely broken) Windows Driver CD (#31568)
* Tue Sep 16 2003 - adrian@suse.de
- fix application/x-ogg icon
* Sat Sep 13 2003 - adrian@suse.de
- fix Unimportant routines really finaly
- Require pcre-devel only for > 8.2
- make menu sorting a routine which can be called from kicker
- hide Documents folder entry in kfiledialog for > 8.2
* Fri Sep 12 2003 - coolo@suse.de
- add requirement on pcre-devel as libkhtml.la contains a reference
  to /usr/lib/libpcreposix.la
* Thu Sep 11 2003 - coolo@suse.de
- give a more correct error message (as good as we can get it out
  of cups) for forbidden actions (#29225)
* Thu Sep 11 2003 - adrian@suse.de
- use updated 3.1.4 tar ball
  * certifcate dialog will reappear after typing wrong password
- add BRANCH patch to fix kdesktop icon name renaming and a crash fix
- honor caching in KServiceGroup::SuSEchildCount()
* Tue Sep 09 2003 - adrian@suse.de
- add YaST icon path
* Mon Sep 08 2003 - adrian@suse.de
- update to version 3.1.4
* Mon Sep 08 2003 - adrian@suse.de
- implement KServiceGroup::SuSEchildCount() to ignore
  X-SuSE-Unimportant entries
* Fri Sep 05 2003 - adrian@suse.de
- add check for SuSE-Unimportant also in kservicegroup class
- add support for X-SuSE-GeneralDescription and ShortMenu
- update 3_1_BRANCH
- add kmimelist application for debugging
- add optioninal X-KDE-InitialPreference Tag, if we want
  different settings in Gnome
* Wed Sep 03 2003 - adrian@suse.de
- update xdg patch from Waldo to get compatible with 3.2 again
- update 3_1_BRANCH to get klistview fixes
* Tue Sep 02 2003 - adrian@suse.de
- include default pixmaps path
- drop broken styles, which will also disappear in KDE 3.2
- add shut up patch from coolo
* Mon Sep 01 2003 - adrian@suse.de
- update to current 3_1_BRANCH
- implement X-SuSE-Unimportant support
* Fri Aug 29 2003 - adrian@suse.de
- update to current 3_1_BRANCH for qt 3.2.1 fixes
* Tue Aug 26 2003 - adrian@suse.de
- apply fix from Lubos for maximised windows of GTK apps
* Sun Aug 24 2003 - adrian@suse.de
- redo last fix in a more often working way.
  but maybe we try to fix support for broken svg's atm ...
* Sun Aug 24 2003 - adrian@suse.de
- fix svgicon engine to render karbon svg's.
- install ksvgiconengine with header(internal) to get used by
  svg thumbnail generator
* Sat Aug 23 2003 - adrian@suse.de
- update to 3_1_BRANCH
* Wed Aug 20 2003 - schwab@suse.de
- Fix weird character in common_options script.
* Wed Aug 20 2003 - adrian@suse.de
- small bugfix from Waldo for XDG
* Tue Aug 19 2003 - adrian@suse.de
- fix compile with gcc 3.3.1
* Wed Aug 13 2003 - adrian@suse.de
- fix lib64 plugin support
- use current 3_1_BRANCH
- clean up spec file
- package /opt/kde3/include in main package
* Tue Aug 12 2003 - adrian@suse.de
- update XDG patch (yep, popup's are still disabled ;)
* Fri Aug 08 2003 - adrian@suse.de
- disable popup in kbuildsycoca run again
* Thu Aug 07 2003 - adrian@suse.de
- new XDG code from Waldo to support kmenuedit
* Tue Aug 05 2003 - adrian@suse.de
- disable popup in kbuildsycoca run
* Fri Aug 01 2003 - adrian@suse.de
- disable shadow patch at all again
- update 3_1_BRANCH diff
  * first fixes for Qt 3.2
- update kdelibs-menus stuff
  * Waldo: Less buggy, with prefix support and with a working
  <OnlyUnallocated/>
* Wed Jul 30 2003 - adrian@suse.de
- update kdelibs-menus-kded tar ball to new version from Waldo,
  to get the kbuildsycoca --menutest function
- merge kdelibs3-cups back to kdelibs3
* Mon Jul 28 2003 - adrian@suse.de
- update to current 3_1_BRANCH
* Wed Jul 23 2003 - adrian@suse.de
- use another new 3.1.3 tar ball with further security fix
  (cookie handling)
- add needed files for XDG support
* Tue Jul 22 2003 - coolo@suse.de
- remove CVS conflict files from admin
- make common_options a %%config (for consistency)
* Mon Jul 21 2003 - adrian@suse.de
- fix build for 7.x distributions
* Fri Jul 18 2003 - adrian@suse.de
- third version of 3.1.3 tar ball
  (security fix for cookie handling)
- add backported patch from 3.2 for shadow text on icons.
  (written by Laur Ivan <laurivan@eircom.net>)
- accept Qt 3.2 also, when "#MIN_CONFIG(3)" is used
- fix build for lib64
* Fri Jul 18 2003 - adrian@suse.de
- fix owner ship of files
- add XDG support from Waldo from KDE 3.2
* Wed Jul 16 2003 - adrian@suse.de
- use new 3.1.3 tar ball
* Wed Jul 16 2003 - adrian@suse.de
- update to 3.1.3
* Tue Jun 24 2003 - coolo@suse.de
- update 3.1 branch (heading 3.1.3)
* Wed Jun 11 2003 - kukuk@suse.de
- Add missing directories to filelist
* Sat Jun 07 2003 - coolo@suse.de
- remove libtool update code completly
- don't create stale symlinks for < 820
- create the gnome icons symlink only for < 829
  (moved to gnome packages, where they can't dangle)
* Fri May 30 2003 - adrian@suse.de
- fix file conflict and disable libtool update again
* Thu May 29 2003 - adrian@suse.de
- tune some minor bits of coolo's changes
  (a minor side effect is that we are able to build KDE packages again)
* Wed May 28 2003 - coolo@suse.de
- put the configure work around in update_admin too
* Tue May 27 2003 - coolo@suse.de
- updating 3_1_BRANCH.diff (to get it working without --enable-final)
- build --enable-final in beta too
- update libtool files from system (experimental)
* Mon May 26 2003 - adrian@suse.de
- define and use $INSTALL_TARGET in common_options
- set to "install" (not "install-strip") for now
* Mon May 19 2003 - adrian@suse.de
- apply 3_1_BRANCH.diff (fix build for Qt 3.2b1)
* Fri May 16 2003 - coolo@suse.de
- remove the right CVS subdir
* Fri May 16 2003 - coolo@suse.de
- remove CVS subdir
* Thu May 08 2003 - adrian@suse.de
- new 3.1.2 tar ball (try2)
* Wed May 07 2003 - adrian@suse.de
- update to version 3.1.2
- cleanup/drop patches
- update admin tar ball and apply changes via a patch
- require correct arts version (1.1 at least)
* Fri Apr 18 2003 - adrian@suse.de
- merge 8.2 changes with 8.3
- remove libaps from neededforbuild
* Mon Apr 07 2003 - adrian@suse.de
- security fix from 3.0.5b
  * run ghostscript in safe mode
- add patch from Uwe Gansert to support the new fileshare tool
- add crash fix from 3_1_BRANCH for khtml on www.w3.org/QA/
- do reverse font lookup in kfontcombobox and kaction for
  fontconfig based distributions (#25725)
* Thu Apr 03 2003 - adrian@suse.de
- fix possible crash in kprinter on cups server misbehaviour
- add gnome help pages support for khelpcenter.
* Fri Mar 21 2003 - adrian@suse.de
- apply fix https over proxy
* Sat Mar 15 2003 - adrian@suse.de
- fix kmid crash in libkmid (#24820)
- .exe files have a correct icon now
- remove unused mimelnk tar ball
* Wed Mar 12 2003 - adrian@suse.de
- disable kbuildsycoca speed up patch from last check-in again
* Tue Mar 11 2003 - adrian@suse.de
- update to 3.1.1 tar ball, second try
  * memory leak in dcopclient
  * kate crash and syntax highlighting fixes
  * do not let two running kbuildsycoca conflict
  * keramik pixmapCache conflict fix
  * some session management fixes
- add patch from Lubos to fix further session management problems
  with preloaded konq
- fix api documentation
- remove SuSEconfig.susewm-kbuildsycoca again
  (initial created by susewm now)
* Thu Mar 06 2003 - coolo@suse.de
- updating the admin tar ball to 3.1.1 too
* Mon Mar 03 2003 - adrian@suse.de
- update to version 3.1.1
  * fixed alphablended background images in khtml
  * crash fix after destructed documents
  * additional syntax highlight descriptions for kate
- xrandr fixes from Lubos to initialize the display correct on login
* Thu Feb 27 2003 - adrian@suse.de
- update 3_1_BRANCH
- remove wrong Obsoletes again
- drop preload.desktop in autostart and use improved patch from
  Lubos instead
- comment out some noise in .xsession-errors
* Wed Feb 26 2003 - adrian@suse.de
- fixing kded startup with DNOTIFY enabled and lots of files
* Wed Feb 26 2003 - adrian@suse.de
- update 3_1_BRANCH
- add ksycoca-global patch from Waldo
- add SuSEconfig.susewm-kbuildsycoca
- add Obsolete and Conflict tags with kde2 packages
* Mon Feb 24 2003 - adrian@suse.de
- update 3_1_BRANCH
- enable-dnotify
* Mon Feb 24 2003 - coolo@suse.de
- fixing kups (#24084)
* Fri Feb 14 2003 - adrian@suse.de
- update 3_1_BRANCH
- allow setgid for man
- add gnome icon path
* Wed Feb 12 2003 - adrian@suse.de
- update 3_1_BRANCH
- add preloaded konq patches from Lubos
- move kde-config back to main package
* Wed Feb 05 2003 - adrian@suse.de
- update 3_1_BRANCH again for more aliasing fixes from Dirk
- remove fallback patch and implement a real media detection instead
  of that
* Tue Feb 04 2003 - coolo@suse.de
- updating to newer 3_1_BRANCH that is gcc 3.3 compliant
* Mon Feb 03 2003 - adrian@suse.de
- add -fno-cse-follow-jumps -fno-cse-skip-blocks to work around
  compiler bug
* Mon Feb 03 2003 - adrian@suse.de
- update 3_1_BRANCH patch
- use --enable-final again
* Sat Feb 01 2003 - adrian@suse.de
- remove ppc64 special compile options
* Tue Jan 28 2003 - adrian@suse.de
- follow changed QDesktopWidget::resized API
* Tue Jan 28 2003 - adrian@suse.de
- add BRANCH patches
- add libart_lgpl-devel to Requires from -devel package
* Fri Jan 24 2003 - adrian@suse.de
- apply fix for resized desktop for menubar from Seli
* Thu Jan 23 2003 - adrian@suse.de
- ha ! RC7-try5, security relevant again
* Wed Jan 22 2003 - adrian@suse.de
- RC7-try4. last one ?
* Tue Jan 21 2003 - adrian@suse.de
- RC7-try3. last one.
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar balls
* Wed Jan 15 2003 - adrian@suse.de
- use cyrus-sasl2
* Tue Jan 14 2003 - adrian@suse.de
- update to version RC7.
- kdelibs3-devel requires now fam-devel on > 8.1
* Wed Jan 08 2003 - adrian@suse.de
- add fam-devel to neededforbuild
* Wed Jan 08 2003 - adrian@suse.de
- fix build with new alsa. works hopefully also with old versions
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6 (newer than the last 3.1 final try ;)
* Wed Dec 18 2002 - coolo@suse.de
- updating the admin tar ball to find out about possible problems
* Mon Dec 16 2002 - coolo@suse.de
- updating to latest branch.
* Tue Dec 10 2002 - coolo@suse.de
- adding a check to kdeinit that checks for KDE_IS_PRELINKED and
  is not using dlopen then
* Tue Dec 03 2002 - coolo@suse.de
- trying to fix SSL check for lib64
* Sat Nov 30 2002 - adrian@suse.de
- next try of RC5 tar ball. BRANCH fixes are again disabled
* Thu Nov 28 2002 - adrian@suse.de
- apply 3_1_BRANCH fixes
- fix build for lib64
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5.
- do not use --enable-final on beta (gcc 3.3)
* Mon Nov 25 2002 - ro@suse.de
- added openldap2-client to neededforbuild
* Sat Nov 23 2002 - adrian@suse.de
- enable openldap support
- clean up #neededforbuild
* Wed Nov 20 2002 - coolo@suse.de
- adding fix for admin dir which should unbreak packages having problems
  with autoconf 2.56
* Wed Nov 20 2002 - adrian@suse.de
- disable hotfix again (it is inside the new tar ball)
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4 (final ?)
* Tue Nov 12 2002 - coolo@suse.de
- another snapshot with even more last minute fixes ;(
* Tue Nov 12 2002 - coolo@suse.de
- apply the lib64 patch correctly (in updating to a source without
  the patch pre-applied)
* Mon Nov 11 2002 - coolo@suse.de
- update to newer snapshot and sort out patches
* Wed Nov 06 2002 - adrian@suse.de
- update to snapshot 3.0.8.20021106 (fix file conflicts)
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
- disable topMenu patch again
* Tue Sep 24 2002 - froh@suse.de
- %%-ifarch'ed Requires: alsa-devel for all but s390 and s390x (#18647)
* Sun Sep 08 2002 - adrian@suse.de
- cross side scripting check fix from Dirk Mueller
* Sun Sep 08 2002 - adrian@suse.de
- .exe files are handled now as files for wine and not direct executable
* Thu Sep 05 2002 - adrian@suse.de
- add fix from mana for libkmid, to get alsa sequenzer working again
* Wed Sep 04 2002 - coolo@suse.de
- fix the PNM mimetypes, so that digital cameras work
* Sat Aug 31 2002 - adrian@suse.de
- default to lib64 pathes in admin/* on lib64 systems.
  (fix link error, when lib32 enviroment is installed)
* Fri Aug 30 2002 - adrian@suse.de
- use most current 3_0_BRANCH patches
  * fix for crash in khtml with enabled java from Seli
  * layout fix in kcombobox from gis
  * kcombobox fix from dfaure for oversized box in koffice
  * kjs date fixes from dfaure
  * ksycoca, illegal object fix from Waldo
  * kcompletion box fix for Xinerama setup, reviewed by gis
  * do not loop on unexpected EOF in kio_khtml from Waldo
  * newline handling fix in khtml from dirk
  * disable tiff write support, since it is not implemented (coolo)
  * translations
* Mon Aug 26 2002 - adrian@suse.de
- install plugins on lib64 into /opt/kde3/lib. so we do not need
  different plugin path definitions
- add missing dependencies to -devel packages
- add some selected fix from 3_0_BRANCH
* Tue Aug 20 2002 - adrian@suse.de
- fix build for lib64 really :(
* Tue Aug 20 2002 - adrian@suse.de
- fix build for lib64
- move designer plugins into -devel package
* Mon Aug 19 2002 - adrian@suse.de
- follow change qt plugin path patch (using implicit subdir on lib64)
* Fri Aug 16 2002 - adrian@suse.de
- update to current 3_0_BRANCH
  * include dirk's khtml glitch fix
* Wed Aug 14 2002 - coolo@suse.de
- don't strip on debug-i386
- fixing lib64 path for plugins
* Tue Aug 13 2002 - coolo@suse.de
- prefer settings in /etc/opt/kde3 over /opt/kde, so that UL
  settings can overwrite standard KDE settings
* Tue Aug 13 2002 - adrian@suse.de
- update to 3.0.3 tar ball, second try
  (includes security fix for KSSL)
* Tue Aug 13 2002 - coolo@suse.de
- alsadev -> alsa-devel
* Mon Aug 12 2002 - coolo@suse.de
- the x86_64 bug is fixed now
* Sun Aug 11 2002 - coolo@suse.de
- changing admin.tar.bz2 to work around automake crap not beeing
  able to get kdemultimedia compiled
- update 3.0 branch patch again
* Wed Aug 07 2002 - adrian@suse.de
- update to 3.0.3
- add 3_0_BRANCH fix for ksycoca recreation by Waldo
* Mon Aug 05 2002 - adrian@suse.de
- update 3_0_BRANCH.dif
- add some mimetypes
- apply patch to support a fallback on mounting devices
- fix PreRequires
- update admin.tar
* Sun Aug 04 2002 - adrian@suse.de
- finaly fix build for hammer
  (yes, even tested this time)
* Sun Aug 04 2002 - adrian@suse.de
- fix the second typo in one line :(
* Fri Aug 02 2002 - coolo@suse.de
- adding a patch that hopefully fixes the very large tip of the konsole
  window
* Thu Aug 01 2002 - adrian@suse.de
- and fix the typo in last patch
* Thu Aug 01 2002 - adrian@suse.de
- add workaround for x86_64 compiler bug
* Thu Aug 01 2002 - coolo@suse.de
- updating the branch patch for a possible fix to kukuk's
  bugzilla crash :)
* Wed Jul 31 2002 - adrian@suse.de
- add missing directorys applnk/*
* Tue Jul 30 2002 - coolo@suse.de
- don't use SuSEconfig for the KDE api, but a dedicated script
  in %%post
- don't install a susehelp config file anymore, but let susehelp
  handle it itself
- handle the new location for api docu
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jul 26 2002 - adrian@suse.de
- disable fast-malloc, since it is in qt now
* Tue Jul 23 2002 - coolo@suse.de
- also install the qt.tag file
- remove configure option removed long ago
* Tue Jul 23 2002 - coolo@suse.de
- don't let the Makefile guess the package name. it will guess the
  wrong thing
* Fri Jul 19 2002 - adrian@suse.de
- use the kpart for rpm mimetype (if installed)
* Thu Jul 18 2002 - coolo@suse.de
- use doxygen for docu
- backport admin fixes from HEAD branch
- removed neededforbuilds that look like stuff not needed for build
  (since KDE 2.1)
- moved API docu (back) into /opt/kde3
- updated 3.0 branch diff
* Fri Jul 12 2002 - adrian@suse.de
- add topMenu definition
* Fri Jul 12 2002 - adrian@suse.de
- use current 3_0_BRANCH
  * includes the fix for the famous CSS/JS segfault in konqueror
* Thu Jul 11 2002 - adrian@suse.de
- fix build for lib64
- use patch from coolo to disable g3 file support (libtiff is broken)
* Mon Jul 08 2002 - adrian@suse.de
- fix file list
* Fri Jul 05 2002 - adrian@suse.de
- add missing icon directorys
- split cups support into own package for 8.1
- s,i386,%%ix86,
* Thu Jun 27 2002 - adrian@suse.de
- add %%run_ldconfig in %%post
- use --disable-final on ppc64
- disable more debug messages
* Wed Jun 26 2002 - adrian@suse.de
- update to the second try of 3.0.2 tar ball
* Mon Jun 24 2002 - adrian@suse.de
- udpate to version 3.0.2
* Wed Jun 19 2002 - uli@suse.de
- disable-final on ARM
* Wed Jun 12 2002 - adrian@suse.de
- update to current 3_0_BRANCH (large kjs updates)
- clean #neededforbuild
- do only warn on missing admin directory in update_admin
- remove old common_compile_options file
* Fri Jun 07 2002 - adrian@suse.de
- using fixed libtool for -m32/-m64 in admin (fixed by matz)
- replace admin with the content from admin.tar.bz2
* Thu Jun 06 2002 - adrian@suse.de
- export kde_styledir and kde_widgetdir to follow the plugins*
  directory name from Qt.
* Wed Jun 05 2002 - adrian@suse.de
- go back to 1.316 for am_edit
  (no unsermake support, but generates moc files with --enable-final)
* Tue Jun 04 2002 - coolo@suse.de
- adding /sbin:/usr/sbin to the PATH if kdesu is used to become root.
  Work around for flaws in setup tools (#11362)
* Mon Jun 03 2002 - coolo@suse.de
- removing test programs that cause problems with automake 1.6.1
* Mon Jun 03 2002 - adrian@suse.de
- update to inofficial version 3.0.1a
  * include bug/security fix for file uploads
- fix for broken png's in khtml in some cases
* Mon May 27 2002 - adrian@suse.de
- fix for 7.0 distribution
* Thu May 23 2002 - ro@suse.de
- fix admin extraction
* Thu May 23 2002 - adrian@suse.de
- Obsolete/provide kups and add start script
* Thu May 23 2002 - coolo@suse.de
- adding a update_admin snippet here too, so we can fix kde 3
  apps the same way as kde 2 apps
* Wed May 22 2002 - adrian@suse.de
- use coolo's famous common_options config file format
  old common_compile_options file is not disabled for now
- use explicit --enable-debug=full if RPM_OPT_FLAGS~=-g
* Tue May 21 2002 - adrian@suse.de
- use Dirk's official post-3.0.1 patch and disable our former ones
  * includes a security fix for khtml, known as "Opera exploit"
  * fix "arts not starting realtime" problem (typo in reading config
  variable).
  * fix crashing kbuildsycoca when it hits an unreadable directory
  * fix a text selection problem for KMail.
  * fix a problem where (i)frame's accidently were not resized correctly.
  * fix mime-detection of koffice post v1.1 documents
  * urgent fixes in kfiledialog
* Fri May 17 2002 - adrian@suse.de
- fix dieing kio slave on https connections
* Fri May 17 2002 - adrian@suse.de
- reduce noise on stdout from khtml (extend shut_up.dif)
* Tue May 14 2002 - adrian@suse.de
- use updated 3.0.1 tar ball include crash fixes (esp. for kmail)
* Mon May 13 2002 - adrian@suse.de
- set requirement back to qt-3.0.3 version
* Fri May 10 2002 - adrian@suse.de
- workaround rpm parse bug for old distributions
* Fri May 10 2002 - adrian@suse.de
- update to version 3.0.1 and remove obsolete patches
* Tue May 07 2002 - meissner@suse.de
- %%_lib fixes inside the .cpp files (should now find SSL libraries)
* Mon May 06 2002 - meissner@suse.de
- %%_lib fixes
* Tue Apr 16 2002 - adrian@suse.de
- Require spell (either ispell or aspell) > 8.0 only
- use --disable-final and -O0 on mips
* Fri Apr 12 2002 - adrian@suse.de
- set --enable-mt. Not needed for kdelibs3, but it should be
  in the common compiler flags for some other applications with
  older admin folder
* Tue Apr 09 2002 - adrian@suse.de
- fix kde api generation for 7.1, 7.2 and 7.3 based distributions
* Tue Mar 26 2002 - adrian@suse.de
- update to new 3.0 final version. the last one. sure.
- comment out last harmless warning message from kdelibs
* Mon Mar 25 2002 - adrian@suse.de
- update 3.0 final tar ball
- 2 urgent fixes ( kdirlister )
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final (everything is wonderfull version)
- switch from /etc/X11/kde3 to /etc/opt/kde3 to be FHS compliant
- add /etc/kde3rc with prefix, so we do not need $KDEDIRS anymore
* Thu Mar 21 2002 - adrian@suse.de
- use kdoc to generate api-documentation again
  (makes the class browser of kdevelop happy)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Mon Feb 25 2002 - adrian@suse.de
- update to snapshot 2.92.2002022512
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 2.92.2002021810
* Thu Feb 14 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
- split kdelibs3-artsd package into arts and arts-devel
- add Doug Lea's fast threaded malloc function from glibc 2.3
  * prepared by Lubos Lunak
  * integrated into libkdecore
  * add dummy library to make it configurable via libKmalloc.so link
  * disabled by default
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Mon Feb 04 2002 - adrian@suse.de
- update to 2.92 (KDE 3.0 beta 2)
- create common_compile_flags file
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot from 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- add missing header files
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Tue Jan 15 2002 - adrian@suse.de
- update to snapshot 2.91.2002011511
* Sat Jan 05 2002 - adrian@suse.de
- update to recent/todays snapshot
- disable rpath for SuSE > 7.3
  (/opt/kde3/lib is in ld.so.conf)
- add Requires: line for at least Qt 3.0.1
* Mon Dec 17 2001 - adrian@suse.de
- fix compile on s390
- add fix for khtml seg fault
- do not build documentation for <7.3 distributions until kdoc
  is fixed
* Wed Dec 12 2001 - adrian@suse.de
- update to KDE 3.0 Beta 1
* Tue Dec 04 2001 - adrian@suse.de
- use current CVS snapshot
* Fri Nov 02 2001 - adrian@suse.de
- using cvs snapshot from 01 Nov 2001
* Sat Oct 20 2001 - adrian@suse.de
- using newer cvs-snapshot
  (compiles again with qt 3 final)
* Tue Oct 09 2001 - adrian@suse.de
- branch to first kdelibs 3 (alpha 1)
* Mon Sep 24 2001 - adrian@suse.de
- add security fix for peer-ssl from Dirk
- add fix to make it possible to allow JS from local pages
* Fri Sep 21 2001 - adrian@suse.de
- add fix for kbuildsycoca --incremental from Waldo
  (changed files (due to updated packages or a SuSEconfig run for
  example) do not lead anymore to an incorrect ksycoca database.
* Tue Sep 18 2001 - adrian@suse.de
- add symbolic link to /opt/kde2/doc/HTML/en/kdeapi
- #neededforbuild cups -> cups-libs
* Sat Sep 15 2001 - adrian@suse.de
- add klineedit fix
- add warning that kdDebug function is disabled (except for ppc)
- fix kdelibs-2.2.1.dif (do not apply patch for ppc-only global)
* Thu Sep 13 2001 - adrian@suse.de
- add fix for kjs (octal parsing)
- add fix icondialog (custom icon directorys)
- fix ia64 patch
* Tue Sep 11 2001 - adrian@suse.de
- add security fixes for kssl (do not save keys on disk)
- add Qt API to the API index page
* Mon Sep 10 2001 - adrian@suse.de
- update to to second try of kdelibs 2.2.1 tar ball
  * JavaScript fixes
- fix ia64 workarounds to build on older distris
* Sun Sep 09 2001 - schwab@suse.de
- Fix specfile for ia64 workarounds.
* Sat Sep 08 2001 - adrian@suse.de
- updating to final 2.2.1 tar ball
* Sun Sep 02 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 02.09.2001
  * compile fixes
  * KFile crash fix
  * KDockWidget crash fix, caused crash in quanta
  * fix login with chars in password >127
  * load charsets file on demand
  * kxmlgui fixed to read really the complete xml file.
- drop -cups package, the cups libs are now splitted from the cups
  package.
- add kmimetype hack to get a fallback application for device icons
- make KDE quiet by default (kdDebug default value is 4 now)
* Tue Aug 28 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 28.08.2001
  * fix kspell for iso 13 languages
  * fix $PATH for kdesu
  * check the preview action in setPreviewWidget()
  * check for aborted save
  * official patch for kbuildsycoca
  * kfile fixes
  * crash fixes in userstylesheets
  * large file system support fix
  * crash fix in kbugreport
- removed patches for kbuildsycoca and large file support
* Sat Aug 25 2001 - adrian@suse.de
- update to KDE_2_2_BRANCH from 25.08.2001
  * khtml supports <META http-equiv="Cache-Control" content="no-cache">
  * kded updates
  * translation updates
- kbuildsycoca speed optimisation
  (original patch from Lubos Lunak, reworked to be BC)
* Tue Aug 21 2001 - adrian@suse.de
- using KDE_2_2_BRANCH from 21.08.2001
  * html parser fixes
  * artsd fixes
  * ...
- disable FAM by default, it can be enabled with
  export USE_FAM=1
- disable and obsolete -i686 package, until the number of problems
  are solved
* Mon Aug 06 2001 - adrian@suse.de
- add assert into khtml/misc/loader.cpp as recomended by Dirk
- switch on SSE support in i386 architecture
  (arts has a runtime checking)
- clean up file list
- ia64 workarounds
* Mon Aug 06 2001 - adrian@suse.de
- update to final 2.2
* Wed Aug 01 2001 - adrian@suse.de
- update to 2.2rc1
* Fri Jul 06 2001 - adrian@suse.de
- generate API documentation
  (no need to install kdevelop for api docu anymore)
* Fri Jun 29 2001 - adrian@suse.de
- 2.2beta1
* Mon May 28 2001 - adrian@suse.de
- 2.2alpha2
* Mon Apr 16 2001 - adrian@suse.de
- 2.2alpha1
* Fri Apr 13 2001 - adrian@suse.de
- add currency symbol to KFontDialog preview for testing purposes
* Tue Apr 10 2001 - adrian@suse.de
- revert also kdeinit changes (compile fix)
- add fixes for javascript from CVS
- add fixes for font name mapping from CVS
- add kdeinit_shutdown patch from Waldo
* Tue Apr 10 2001 - adrian@suse.de
- minor fix, but hopefully fix linker problems on all P-II systems
* Mon Apr 09 2001 - adrian@suse.de
- disable alsa for 7.0-ppc
* Fri Apr 06 2001 - adrian@suse.de
- drop the -nostdlib flag during linking. this causes problems
  (since not all need libs are used) on some architectures
- -O2 for axp
* Thu Apr 05 2001 - adrian@suse.de
- update to 2_1_BRANCH.
  this fixes the proxy server authentication problem
* Wed Mar 28 2001 - adrian@suse.de
- disable ssl support for 7.0-ppc
  (problems with the compiler and linker, which can not be fixed
  without to loss the BC)
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- enable -O2 for ppc
  using inline gcc bug workaround for ia64
* Tue Mar 20 2001 - adrian@suse.de
- update to 2.1.1 (official tar ball)
* Mon Mar 19 2001 - adrian@suse.de
- update to current 2_1_BRANCH
  we have kde-config as executable binary back
  (lots of configure scripts test this)
* Mon Mar 19 2001 - adrian@suse.de
- add cyrus-sassl to #neededforbuild
* Sat Mar 17 2001 - adrian@suse.de
- added missing packages in #neededforbuild
* Sat Mar 17 2001 - adrian@suse.de
- fix CATALOG for distributions <7.2
  update to current 2_1_0_TAG
* Tue Mar 13 2001 - ro@suse.de
- added CATALOG for docbook_3
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 22 2001 - adrian@suse.de
- the final final 2.1.0 tar ball ...
* Wed Feb 21 2001 - adrian@suse.de
- use the right KDE BRANCH (not my fault ;-)
* Wed Feb 21 2001 - adrian@suse.de
- update to final 2.1.0
* Wed Feb 14 2001 - adrian@suse.de
- update to 2.1 post beta 2
* Mon Jan 22 2001 - stepan@suse.de
- alpha axp compile fixes for gcc 2.95.2
* Tue Jan 16 2001 - adrian@suse.de
- add a check of return value in kprocess.
  Hopefully no crashes anymore.
* Mon Jan 15 2001 - adrian@suse.de
- disable --enable-final until the glibc/compiler problem in
  kprocess is fixed
* Mon Jan 15 2001 - adrian@suse.de
- fix index.desktop for distris <7.1
* Sat Jan 13 2001 - adrian@suse.de
- fix local support in kicker. native language again in menus
  this fix does not work for chinese people
  fix index.desktop in highcolor, 22x22 actions icons can be loaded
  again
* Fri Jan 12 2001 - adrian@suse.de
- create some links to see the konqueror gear again
  fix hicolor index file
* Tue Jan 09 2001 - adrian@suse.de
- added security fix for kdesu from Waldo
* Mon Jan 08 2001 - adrian@suse.de
- fix SuSE icon description
* Sun Jan 07 2001 - adrian@suse.de
- use additional pathes, to not conflict with older pathes
* Sun Jan 07 2001 - adrian@suse.de
- new icon handling. much more clean now and the
  dependencie to icons is not needed anymore
* Sat Jan 06 2001 - adrian@suse.de
- fix locale support.
  LANG=de_DE or LANG=de_DE.utf-8 is working now.
* Tue Jan 02 2001 - adrian@suse.de
- added a fix for font handling, if antialising is used
  (Thanks Kurt)
* Mon Jan 01 2001 - adrian@suse.de
- remove charset for german. this confuses the font handling
  added fix for stalled, but broken connections; thanks waldo
* Sat Dec 30 2000 - adrian@suse.de
- extend rpm mimelnk for *.spm files
  disabled threading
* Wed Dec 27 2000 - adrian@suse.de
- drop message in kdeinit, which produce a lot of invalid bugzilla entrys
* Wed Dec 20 2000 - adrian@suse.de
- added openssl-devel for #neededforbuild
* Sun Dec 17 2000 - adrian@suse.de
- moved icon links back to kdelibs :-(
* Sun Dec 17 2000 - adrian@suse.de
- moved icon links from this package to kdebase
* Fri Dec 15 2000 - adrian@suse.de
- brown paper bag fix ... I spend Rudi a beer ...
* Fri Dec 15 2000 - adrian@suse.de
- added icon packages to #neededforbuild
* Thu Dec 14 2000 - adrian@suse.de
- fixed specfile
* Wed Dec 13 2000 - adrian@suse.de
- fixed icon links
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Wed Nov 29 2000 - adrian@suse.de
- update to 2.0.1
* Wed Nov 22 2000 - ro@suse.de
- remove penguin.png (in kdebase)
* Tue Nov 21 2000 - adrian@suse.de
- fixed /etc/kderc
* Tue Nov 21 2000 - adrian@suse.de
- added icon support for non kde icons
  added /etc/kderc
  ~/Desktop -> ~/KDesktop
* Thu Nov 16 2000 - adrian@suse.de
- update to newer snapshot from KDE_2_0_BRANCH
  fixed sgml catalog file for our sgml enviroment
* Fri Nov 03 2000 - adrian@suse.de
- fixed needed for build
* Thu Nov 02 2000 - adrian@suse.de
- fixed file list
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
- changed default for ~/.kde to ~/.kde2
- dropped klibs2i and klibs2cr again
- splitted package in
  * kdelibs
  * kdelibs-devel
* Wed Sep 20 2000 - adrian@suse.de
- the last fix :-(
* Sat Sep 16 2000 - adrian@suse.de
- splited klibs2 into klibs2, klibs2i (international version
  without crypt support) and klibs2cr (crypt version)
* Sat Sep 16 2000 - adrian@suse.de
- removed ssl/ssh support
  added big endian fix in KPixmap
* Tue Sep 12 2000 - adrian@suse.de
- changed to -O0 for ppc and alpha
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4
* Mon Jul 24 2000 - adrian@suse.de
- update to second version of beta 3
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Mon Jul 17 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Thu Jul 06 2000 - adrian@suse.de
- Spec file created from kdelibs-1.91.20000706.tar.gz by autospec
* Fri Jun 09 2000 - adrian@suse.de
- correct neededforbuild and updated khtml
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- update to KDE 1.90
* Thu Apr 27 2000 - adrian@suse.de
- snapshot from 25.04.2000
* Thu Apr 20 2000 - adrian@suse.de
- fixed file list
* Wed Apr 19 2000 - adrian@suse.de
- snapshot from 17.04.2000
* Thu Apr 06 2000 - adrian@suse.de
- snapshot from 06.04.2000
* Thu Mar 30 2000 - adrian@suse.de
- first KDE libs 2 package. PRE 1.90 Version
